ABORT enumeration member

Abort method

Aborted property

AckPolicy class

AckPolicy class

AckPolicy class

about AckPolicy class

all members

fields

methods

AckPolicy.ALL field

AckPolicy.ALL_AVAILABLE field

AckPolicy.ALL_PEERS field

AckPolicy.NONE field

AckPolicy.ONE field

AckPolicy.ONE_PEER field

AckPolicy.QUORUM field

AckTimeout property

Active property

ActiveTransaction class

ActiveTransaction class

ActiveTransaction class

about ActiveTransaction class

all members

methods

properties

ActiveTransaction.Begun property

ActiveTransaction.BufferCopiesInCache property

ActiveTransaction.GlobalID property

ActiveTransaction.ID property

ActiveTransaction.Name property

ActiveTransaction.ParentID property

ActiveTransaction.Priority property

ActiveTransaction.ProcessID property

ActiveTransaction.SnapshotReads property

ActiveTransaction.ThreadID property

Add method

Add method

Add method

Address field

Address property

AddUnique method

AddUnique method

AES enumeration member

AFTER enumeration member

Alignment property

Alignment property

ALL field

AllFileOps field

AllocatedLockers property

AllocatedLocks property

AllocatedObjects property

ALL_AVAILABLE field

ALL_PEERS field

ALWAYS enumeration member

Append field

Append field

Append method

Append method

Append method

AppendCallback property

AppendRecordDelegate delegate

APPLIED enumeration member

AppliedTransactions property

ArchivableDatabaseFiles method

ArchivableLogFiles method

AutoCommit field

AutoCommit field

AutoCommit property

AutoCommit property

AutoInit field

AutoRemove field

AutoTakeovers property

Available property

AwaitedLSN property

AwaitedPage property

BackingDatabase field

BackingDatabase property

BackingFile field

BackingFile field

BackingFile property

Backup field

Backup method

BackupBufferSize property

BackupDatabase method

BackupHandler property

BackupOptions class

BackupOptions class

BackupOptions class

about BackupOptions class

all members

constructor

fields

methods

BackupOptions.BackupOptions constructor

BackupOptions.Clean field

BackupOptions.Creation field

BackupOptions.Files field

BackupOptions.NoLogs field

BackupOptions.SingleDir field

BackupOptions.Update field

BackupReadCount property

BackupReadSleepDuration property

BackupSpins property

BackupWriteDirect property

BadGenerationMessages property

BadSecondaryException class

BadSecondaryException class

BadSecondaryException class

about BadSecondaryException class

all members

constructor

fields

methods

properties

BadSecondaryException.BadSecondaryException constructor

BaseCursor class

BaseCursor class

BaseCursor class

about BaseCursor class

all members

methods

BaseCursor.Close method

BaseCursor.Compare method

BaseCursor.Count method

BaseCursor.Delete method

BaseCursor.Dispose method

BaseCursor.GetEnumerator method

BaseDatabase class

BaseDatabase class

BaseDatabase class

about BaseDatabase class

all members

methods

properties

BaseDatabase.AutoCommit property

BaseDatabase.CacheSize property

BaseDatabase.Close method

BaseDatabase.Creation property

BaseDatabase.Cursor method

BaseDatabase.DatabaseName property

BaseDatabase.Delete method

BaseDatabase.Dispose method

BaseDatabase.DoChecksum property

BaseDatabase.EncryptAlgorithm property

BaseDatabase.Encrypted property

BaseDatabase.Endianness property

BaseDatabase.ErrorFeedback property

BaseDatabase.ErrorPrefix property

BaseDatabase.Exists method

BaseDatabase.Feedback property

BaseDatabase.FileName property

BaseDatabase.FreeThreaded property

BaseDatabase.Get method

BaseDatabase.GetBoth method

BaseDatabase.HasMultiple property

BaseDatabase.InHostOrder property

BaseDatabase.messageFeedback property

BaseDatabase.MessagePrefix property

BaseDatabase.Msgfile property

BaseDatabase.NoMMap property

BaseDatabase.NonDurableTxns property

BaseDatabase.NoWaitDbExclusiveLock property

BaseDatabase.Pagesize property

BaseDatabase.PrintFastStats method

BaseDatabase.PrintStats method

BaseDatabase.Priority property

BaseDatabase.ReadOnly property

BaseDatabase.ReadUncommitted property

BaseDatabase.Remove method

BaseDatabase.Rename method

BaseDatabase.Sync method

BaseDatabase.Transactional property

BaseDatabase.Truncate method

BaseDatabase.Truncated property

BaseDatabase.Type property

BaseDatabase.UseMVCC property

BEFORE enumeration member

BeginCDSGroup method

BeginTransaction method

Begun property

Begun property

BerkeleyDB namespace

BerkeleyDB.AckPolicy class

BerkeleyDB.AckPolicy class

BerkeleyDB.ActiveTransaction class

BerkeleyDB.ActiveTransaction class

BerkeleyDB.AppendRecordDelegate delegate

BerkeleyDB.BackupOptions class

BerkeleyDB.BackupOptions class

BerkeleyDB.BadSecondaryException class

BerkeleyDB.BadSecondaryException class

BerkeleyDB.BaseCursor class

BerkeleyDB.BaseCursor class

BerkeleyDB.BaseDatabase class

BerkeleyDB.BaseDatabase class

BerkeleyDB.BTreeCompressDelegate delegate

BerkeleyDB.BTreeCursor class

BerkeleyDB.BTreeCursor class

BerkeleyDB.BTreeDatabase class

BerkeleyDB.BTreeDatabase class

BerkeleyDB.BTreeDatabaseConfig class

BerkeleyDB.BTreeDatabaseConfig class

BerkeleyDB.BTreeDecompressDelegate delegate

BerkeleyDB.BTreeStats class

BerkeleyDB.BTreeStats class

BerkeleyDB.ByteOrder class

BerkeleyDB.ByteOrder class

BerkeleyDB.CacheInfo class

BerkeleyDB.CacheInfo class

BerkeleyDB.CachePriority class

BerkeleyDB.CachePriority class

BerkeleyDB.CompactConfig class

BerkeleyDB.CompactConfig class

BerkeleyDB.CompactData class

BerkeleyDB.CompactData class

BerkeleyDB.CreatePolicy enumeration

BerkeleyDB.Cursor class

BerkeleyDB.Cursor class

BerkeleyDB.Cursor.InsertLocation enumeration

BerkeleyDB.CursorConfig class

BerkeleyDB.CursorConfig class

BerkeleyDB.Database class

BerkeleyDB.Database class

BerkeleyDB.Database.VerifyOperation enumeration

BerkeleyDB.DatabaseConfig class

BerkeleyDB.DatabaseConfig class

BerkeleyDB.DatabaseEntry class

BerkeleyDB.DatabaseEntry class

BerkeleyDB.DatabaseEnvironment class

BerkeleyDB.DatabaseEnvironment class

BerkeleyDB.DatabaseEnvironmentConfig class

BerkeleyDB.DatabaseEnvironmentConfig class

BerkeleyDB.DatabaseException class

BerkeleyDB.DatabaseException class

BerkeleyDB.DatabaseFeedbackDelegate delegate

BerkeleyDB.DatabaseFeedbackEvent enumeration

BerkeleyDB.DatabaseStream class

BerkeleyDB.DatabaseStream class

BerkeleyDB.DatabaseStreamConfig class

BerkeleyDB.DatabaseStreamConfig class

BerkeleyDB.DatabaseType class

BerkeleyDB.DatabaseType class

BerkeleyDB.DbChannel class

BerkeleyDB.DbChannel class

BerkeleyDB.DbSite class

BerkeleyDB.DbSite class

BerkeleyDB.DbSiteConfig class

BerkeleyDB.DbSiteConfig class

BerkeleyDB.DbThreadID class

BerkeleyDB.DbThreadID class

BerkeleyDB.DeadlockException class

BerkeleyDB.DeadlockException class

BerkeleyDB.DeadlockPolicy class

BerkeleyDB.DeadlockPolicy class

BerkeleyDB.DuplicatesPolicy enumeration

BerkeleyDB.EncryptionAlgorithm enumeration

BerkeleyDB.EntryComparisonDelegate delegate

BerkeleyDB.EntryPrefixComparisonDelegate delegate

BerkeleyDB.EnvironmentFeedbackDelegate delegate

BerkeleyDB.EnvironmentFeedbackEvent enumeration

BerkeleyDB.EnvironmentID enumeration

BerkeleyDB.ErrorCodes class

BerkeleyDB.ErrorCodes class

BerkeleyDB.ErrorFeedbackDelegate delegate

BerkeleyDB.EventNotifyDelegate delegate

BerkeleyDB.ForeignConflictException class

BerkeleyDB.ForeignConflictException class

BerkeleyDB.ForeignKeyDeleteAction enumeration

BerkeleyDB.ForeignKeyNullifyDelegate delegate

BerkeleyDB.FullLogBufferException class

BerkeleyDB.FullLogBufferException class

BerkeleyDB.HashCursor class

BerkeleyDB.HashCursor class

BerkeleyDB.HashDatabase class

BerkeleyDB.HashDatabase class

BerkeleyDB.HashDatabaseConfig class

BerkeleyDB.HashDatabaseConfig class

BerkeleyDB.HashFunctionDelegate delegate

BerkeleyDB.HashStats class

BerkeleyDB.HashStats class

BerkeleyDB.HeapDatabase class

BerkeleyDB.HeapDatabase class

BerkeleyDB.HeapDatabaseConfig class

BerkeleyDB.HeapDatabaseConfig class

BerkeleyDB.HeapFullException class

BerkeleyDB.HeapFullException class

BerkeleyDB.HeapRecordId class

BerkeleyDB.HeapRecordId class

BerkeleyDB.HeapStats class

BerkeleyDB.HeapStats class

BerkeleyDB.IBackup interface

BerkeleyDB.IBackup interface

BerkeleyDB.Isolation enumeration

BerkeleyDB.JoinCursor class

BerkeleyDB.JoinCursor class

BerkeleyDB.KeyEmptyException class

BerkeleyDB.KeyEmptyException class

BerkeleyDB.KeyExistException class

BerkeleyDB.KeyExistException class

BerkeleyDB.KeyRange class

BerkeleyDB.KeyRange class

BerkeleyDB.LeaseExpiredException class

BerkeleyDB.LeaseExpiredException class

BerkeleyDB.LockingConfig class

BerkeleyDB.LockingConfig class

BerkeleyDB.LockingInfo class

BerkeleyDB.LockingInfo class

BerkeleyDB.LockNotGrantedException class

BerkeleyDB.LockNotGrantedException class

BerkeleyDB.LockStats class

BerkeleyDB.LockStats class

BerkeleyDB.LogConfig class

BerkeleyDB.LogConfig class

BerkeleyDB.LogStats class

BerkeleyDB.LogStats class

BerkeleyDB.LogVerifyConfig class

BerkeleyDB.LogVerifyConfig class

BerkeleyDB.LSN class

BerkeleyDB.LSN class

BerkeleyDB.MessageDispatchDelegate delegate

BerkeleyDB.MessageFeedbackDelegate delegate

BerkeleyDB.MetaCheckSumFailException class

BerkeleyDB.MetaCheckSumFailException class

BerkeleyDB.MPoolConfig class

BerkeleyDB.MPoolConfig class

BerkeleyDB.MPoolFileStats class

BerkeleyDB.MPoolFileStats class

BerkeleyDB.MPoolStats class

BerkeleyDB.MPoolStats class

BerkeleyDB.MultipleDatabaseEntry class

BerkeleyDB.MultipleDatabaseEntry class

BerkeleyDB.MultipleKeyDatabaseEntry class

BerkeleyDB.MultipleKeyDatabaseEntry class

BerkeleyDB.MutexConfig class

BerkeleyDB.MutexConfig class

BerkeleyDB.MutexStats class

BerkeleyDB.MutexStats class

BerkeleyDB.NotFoundException class

BerkeleyDB.NotFoundException class

BerkeleyDB.NotificationEvent enumeration

BerkeleyDB.OldVersionException class

BerkeleyDB.OldVersionException class

BerkeleyDB.PageNotFoundException class

BerkeleyDB.PageNotFoundException class

BerkeleyDB.PartitionDelegate delegate

BerkeleyDB.PreparedTransaction class

BerkeleyDB.PreparedTransaction class

BerkeleyDB.QueueDatabase class

BerkeleyDB.QueueDatabase class

BerkeleyDB.QueueDatabaseConfig class

BerkeleyDB.QueueDatabaseConfig class

BerkeleyDB.QueueStats class

BerkeleyDB.QueueStats class

BerkeleyDB.RecnoCursor class

BerkeleyDB.RecnoCursor class

BerkeleyDB.RecnoDatabase class

BerkeleyDB.RecnoDatabase class

BerkeleyDB.RecnoDatabaseConfig class

BerkeleyDB.RecnoDatabaseConfig class

BerkeleyDB.RecnoStats class

BerkeleyDB.RecnoStats class

BerkeleyDB.ReplicationConfig class

BerkeleyDB.ReplicationConfig class

BerkeleyDB.ReplicationHostAddress class

BerkeleyDB.ReplicationHostAddress class

BerkeleyDB.ReplicationStats class

BerkeleyDB.ReplicationStats class

BerkeleyDB.ReplicationTransportDelegate delegate

BerkeleyDB.ReplicationViewDelegate delegate

BerkeleyDB.RepMgrSite class

BerkeleyDB.RepMgrSite class

BerkeleyDB.RepMgrStats class

BerkeleyDB.RepMgrStats class

BerkeleyDB.RepProcMsgResult class

BerkeleyDB.RepProcMsgResult class

BerkeleyDB.RepProcMsgResult.ProcMsgResult enumeration

BerkeleyDB.RunRecoveryException class

BerkeleyDB.RunRecoveryException class

BerkeleyDB.SecondaryBTreeDatabase class

BerkeleyDB.SecondaryBTreeDatabase class

BerkeleyDB.SecondaryBTreeDatabaseConfig class

BerkeleyDB.SecondaryBTreeDatabaseConfig class

BerkeleyDB.SecondaryCursor class

BerkeleyDB.SecondaryCursor class

BerkeleyDB.SecondaryDatabase class

BerkeleyDB.SecondaryDatabase class

BerkeleyDB.SecondaryDatabaseConfig class

BerkeleyDB.SecondaryDatabaseConfig class

BerkeleyDB.SecondaryHashDatabase class

BerkeleyDB.SecondaryHashDatabase class

BerkeleyDB.SecondaryHashDatabaseConfig class

BerkeleyDB.SecondaryHashDatabaseConfig class

BerkeleyDB.SecondaryKeyGenDelegate delegate

BerkeleyDB.SecondaryQueueDatabase class

BerkeleyDB.SecondaryQueueDatabase class

BerkeleyDB.SecondaryQueueDatabaseConfig class

BerkeleyDB.SecondaryQueueDatabaseConfig class

BerkeleyDB.SecondaryRecnoDatabase class

BerkeleyDB.SecondaryRecnoDatabase class

BerkeleyDB.SecondaryRecnoDatabaseConfig class

BerkeleyDB.SecondaryRecnoDatabaseConfig class

BerkeleyDB.Sequence class

BerkeleyDB.Sequence class

BerkeleyDB.SequenceConfig class

BerkeleyDB.SequenceConfig class

BerkeleyDB.SequenceStats class

BerkeleyDB.SequenceStats class

BerkeleyDB.SetThreadIDDelegate delegate

BerkeleyDB.SetThreadNameDelegate delegate

BerkeleyDB.ThreadIsAliveDelegate delegate

BerkeleyDB.Transaction class

BerkeleyDB.Transaction class

BerkeleyDB.TransactionAppliedStatus enumeration

BerkeleyDB.TransactionConfig class

BerkeleyDB.TransactionConfig class

BerkeleyDB.TransactionConfig.LogFlush enumeration

BerkeleyDB.TransactionStats class

BerkeleyDB.TransactionStats class

BerkeleyDB.VerboseMessages class

BerkeleyDB.VerboseMessages class

BerkeleyDB.VerificationException class

BerkeleyDB.VerificationException class

BerkeleyDB.VersionMismatchException class

BerkeleyDB.VersionMismatchException class

BigPages property

BigPagesFreeBytes property

BIG_ENDIAN field

Blob property

BlobDir field

BlobDir field

BlobDir field

BlobDir field

BlobDir property

BlobDir property

BlobDir property

BlobDir property

BlobThreshold property

BlobThreshold property

BlobThreshold property

BlobThreshold property

BlobThreshold property

BlobThreshold property

BlobThreshold property

BlobThreshold property

BlockedOperations property

BTREE field

BTreeCompare field

BTreeCompressDelegate delegate

BTreeCursor class

BTreeCursor class

BTreeCursor class

about BTreeCursor class

all members

methods

properties

BTreeCursor.Add method

BTreeCursor.AddUnique method

BTreeCursor.DbStream method

BTreeCursor.Duplicate method

BTreeCursor.Insert method

BTreeCursor.Move method

BTreeCursor.MoveFirst method

BTreeCursor.MoveFirstMultiple method

BTreeCursor.MoveFirstMultipleKey method

BTreeCursor.MoveLast method

BTreeCursor.MoveMultiple method

BTreeCursor.MoveMultipleKey method

BTreeCursor.MoveNext method

BTreeCursor.MoveNextDuplicate method

BTreeCursor.MoveNextDuplicateMultiple method

BTreeCursor.MoveNextDuplicateMultipleKey method

BTreeCursor.MoveNextMultiple method

BTreeCursor.MoveNextMultipleKey method

BTreeCursor.MoveNextUnique method

BTreeCursor.MoveNextUniqueMultiple method

BTreeCursor.MoveNextUniqueMultipleKey method

BTreeCursor.MovePrev method

BTreeCursor.MovePrevDuplicate method

BTreeCursor.MovePrevUnique method

BTreeCursor.Recno method

BTreeCursor.Refresh method

BTreeCursor.RefreshMultiple method

BTreeCursor.RefreshMultipleKey method

BTreeDatabase class

BTreeDatabase class

BTreeDatabase class

about BTreeDatabase class

all members

methods

properties

BTreeDatabase.BlobDir property

BTreeDatabase.BlobThreshold property

BTreeDatabase.Close method

BTreeDatabase.Compact method

BTreeDatabase.Compare property

BTreeDatabase.Compress property

BTreeDatabase.Cursor method

BTreeDatabase.Decompress property

BTreeDatabase.Delete method

BTreeDatabase.DupCompare property

BTreeDatabase.Duplicates property

BTreeDatabase.Exists method

BTreeDatabase.ExternalFileDir property

BTreeDatabase.ExternalFileThreshold property

BTreeDatabase.FastStats method

BTreeDatabase.Get method

BTreeDatabase.GetBoth method

BTreeDatabase.GetBothMultiple method

BTreeDatabase.GetMultiple method

BTreeDatabase.KeyRange method

BTreeDatabase.MinKeysPerPage property

BTreeDatabase.NParts property

BTreeDatabase.Open method

BTreeDatabase.Partition property

BTreeDatabase.PartitionKeys property

BTreeDatabase.PrefixCompare property

BTreeDatabase.PrintFastStats method

BTreeDatabase.PrintStats method

BTreeDatabase.Put method

BTreeDatabase.PutNoDuplicate method

BTreeDatabase.PutNoOverwrite method

BTreeDatabase.RecordNumbers property

BTreeDatabase.ReverseSplit property

BTreeDatabase.Stats method

BTreeDatabase.Truncate method

BTreeDatabase.TruncateUnusedPages method

BTreeDatabaseConfig class

BTreeDatabaseConfig class

BTreeDatabaseConfig class

about BTreeDatabaseConfig class

all members

constructor

fields

methods

properties

BTreeDatabaseConfig.BlobDir field

BTreeDatabaseConfig.BlobThreshold property

BTreeDatabaseConfig.BTreeCompare field

BTreeDatabaseConfig.BTreeDatabaseConfig constructor

BTreeDatabaseConfig.BTreePrefixCompare field

BTreeDatabaseConfig.Compress property

BTreeDatabaseConfig.Creation field

BTreeDatabaseConfig.Decompress property

BTreeDatabaseConfig.DuplicateCompare field

BTreeDatabaseConfig.Duplicates field

BTreeDatabaseConfig.ExternalFileDir field

BTreeDatabaseConfig.ExternalFileThreshold property

BTreeDatabaseConfig.MinKeysPerPage property

BTreeDatabaseConfig.NoReverseSplitting field

BTreeDatabaseConfig.NParts property

BTreeDatabaseConfig.Partition property

BTreeDatabaseConfig.PartitionKeys property

BTreeDatabaseConfig.SetCompression method

BTreeDatabaseConfig.SetPartitionByCallback method

BTreeDatabaseConfig.SetPartitionByKeys method

BTreeDatabaseConfig.UseRecordNumbers field

BTreeDecompressDelegate delegate

BTreePrefixCompare field

BTreeStats class

BTreeStats class

BTreeStats class

about BTreeStats class

all members

methods

properties

BTreeStats.DuplicatePages property

BTreeStats.DuplicatePagesFreeBytes property

BTreeStats.EmptyPages property

BTreeStats.FreePages property

BTreeStats.InternalPages property

BTreeStats.InternalPagesFreeBytes property

BTreeStats.LeafPages property

BTreeStats.LeafPagesFreeBytes property

BTreeStats.Levels property

BTreeStats.MagicNumber property

BTreeStats.MetadataFlags property

BTreeStats.MinKey property

BTreeStats.nBlobRecords property

BTreeStats.nData property

BTreeStats.nExternalFiles property

BTreeStats.nKeys property

BTreeStats.nPages property

BTreeStats.OverflowPages property

BTreeStats.OverflowPagesFreeBytes property

BTreeStats.PageSize property

BTreeStats.Version property

BucketPagesFreeBytes property

BucketsCheckedDuringAlloc property

BufferCopiesInCache property

BufferSize property

BufferSize property

Bulk field

BulkBufferFills property

BulkBufferOverflows property

BulkBufferTransfers property

BulkRecordsStored property

BulkTransfer field

ByteOrder class

ByteOrder class

ByteOrder class

about ByteOrder class

all members

fields

methods

ByteOrder field

ByteOrder.BIG_ENDIAN field

ByteOrder.FromConst method

ByteOrder.LITTLE_ENDIAN field

ByteOrder.MACHINE field

Bytes field

Bytes property

BytesSinceCheckpoint property

CachedValue property

CacheInfo class

CacheInfo class

CacheInfo class

about CacheInfo class

all members

constructor

fields

methods

CacheInfo.Bytes field

CacheInfo.CacheInfo constructor

CacheInfo.Gigabytes field

CacheInfo.NCaches field

CachePriority class

CachePriority class

CachePriority class

about CachePriority class

all members

fields

methods

CachePriority.DEFAULT field

CachePriority.HIGH field

CachePriority.LOW field

CachePriority.VERY_HIGH field

CachePriority.VERY_LOW field

CacheSettings property

CacheSize field

CacheSize field

Cachesize property

CacheSize property

CacheSize property

CacheSize property

CacheSize property

CacheSize property

CASCADE enumeration member

CDB_ALLDB field

CDB_ALLDB property

Checkpoint method

CheckpointDelay property

Clean field

CleanPages property

CleanPagesEvicted property

ClientServiceRequests property

ClientServiceRequestsMissing property

ClientStartupComplete property

Clockskew method

ClockskewFast property

ClockskewSlow property

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

Close method

CloseForceSync method

CloseForceSyncAndForceSyncEnv method

CloseForceSyncEnv method

Commit method

Committed property

CommitToken property

Compact method

Compact method

Compact method

CompactConfig class

CompactConfig class

CompactConfig class

about CompactConfig class

all members

constructor

fields

methods

properties

CompactConfig.CompactConfig constructor

CompactConfig.FillPercentage property

CompactConfig.Pages property

CompactConfig.returnEnd field

CompactConfig.start field

CompactConfig.stop field

CompactConfig.Timeout property

CompactConfig.TruncatePages field

CompactData class

CompactData class

CompactData class

about CompactData class

all members

methods

properties

CompactData.Deadlocks property

CompactData.EmptyBuckets property

CompactData.End property

CompactData.Levels property

CompactData.PagesExamined property

CompactData.PagesFreed property

CompactData.PagesTruncated property

Compare field

Compare field

Compare method

Compare method

Compare property

Compare property

Compare property

Compare property

Compress property

Compress property

Conflicts property

ConnectionRetry property

Consume method

ConsumeInOrder field

ContinueAfterFail property

Count method

Count property

Create field

Create property

CreatePolicy enumeration

Creation field

Creation field

Creation field

Creation field

Creation field

Creation field

Creation field

Creation field

Creation field

Creation field

Creation field

Creation property

CreationDir field

Current property

Current property

Current property

CurrentElectionGenerationNumber property

CurrentFile property

CurrentGenerationNumber property

CurrentMultiple property

CurrentMultipleKey property

CurrentOffset property

CurrentQueuedLogRecords property

CurrentWinner property

CurrentWinnerMaxLSN property

Cursor class

Cursor class

Cursor class

about Cursor class

all members

methods

properties

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor method

Cursor.Add method

Cursor.Current property

Cursor.CurrentMultiple property

Cursor.CurrentMultipleKey property

Cursor.Delete method

Cursor.Duplicate method

Cursor.GetEnumerator method

Cursor.InsertLocation enumeration

Cursor.Move method

Cursor.MoveFirst method

Cursor.MoveFirstMultiple method

Cursor.MoveFirstMultipleKey method

Cursor.MoveLast method

Cursor.MoveMultiple method

Cursor.MoveMultipleKey method

Cursor.MoveNext method

Cursor.MoveNextDuplicate method

Cursor.MoveNextDuplicateMultiple method

Cursor.MoveNextDuplicateMultipleKey method

Cursor.MoveNextMultiple method

Cursor.MoveNextMultipleKey method

Cursor.MoveNextUnique method

Cursor.MoveNextUniqueMultiple method

Cursor.MoveNextUniqueMultipleKey method

Cursor.MovePrev method

Cursor.MovePrevDuplicate method

Cursor.MovePrevUnique method

Cursor.Overwrite method

Cursor.Priority property

Cursor.Refresh method

Cursor.RefreshMultiple method

Cursor.RefreshMultipleKey method

CursorConfig class

CursorConfig class

CursorConfig class

about CursorConfig class

all members

constructor

fields

methods

CursorConfig.CursorConfig constructor

CursorConfig.IsolationDegree field

CursorConfig.Priority field

CursorConfig.SnapshotIsolation field

CursorConfig.WriteCursor field

Data property

Database class

Database class

Database class

about Database class

all members

methods

properties

Database.Close method

Database.Cursor method

Database.Delete method

Database.Exists method

Database.Get method

Database.GetBoth method

Database.GetBothMultiple method

Database.GetMultiple method

Database.Join method

Database.Open method

Database.PrintFastStats method

Database.PrintStats method

Database.Put method

Database.PutNoOverwrite method

Database.Salvage method

Database.Truncate method

Database.Upgrade method

Database.Verify method

Database.VerifyOperation enumeration

DatabaseConfig class

DatabaseConfig class

DatabaseConfig class

about DatabaseConfig class

all members

constructor

fields

methods

properties

DatabaseConfig.AutoCommit field

DatabaseConfig.ByteOrder field

DatabaseConfig.CacheSize field

DatabaseConfig.DatabaseConfig constructor

DatabaseConfig.DoChecksum field

DatabaseConfig.EncryptAlgorithm property

DatabaseConfig.Encrypted property

DatabaseConfig.EncryptionPassword property

DatabaseConfig.Env field

DatabaseConfig.ErrorFeedback field

DatabaseConfig.ErrorPrefix field

DatabaseConfig.Feedback field

DatabaseConfig.FreeThreaded field

DatabaseConfig.MessagePrefix field

DatabaseConfig.NoMMap field

DatabaseConfig.NonDurableTxns field

DatabaseConfig.NoWaitDbExclusiveLock field

DatabaseConfig.PageSize property

DatabaseConfig.Priority field

DatabaseConfig.ReadOnly field

DatabaseConfig.ReadUncommitted field

DatabaseConfig.SetEncryption method

DatabaseConfig.Truncate field

DatabaseConfig.UseMVCC field

DatabaseEntry class

DatabaseEntry class

DatabaseEntry class

about DatabaseEntry class

all members

constructor

methods

properties

DatabaseEntry.Blob property

DatabaseEntry.Data property

DatabaseEntry.DatabaseEntry constructor

DatabaseEntry.Dispose method

DatabaseEntry.ExternalFile property

DatabaseEntry.Partial property

DatabaseEntry.PartialLen property

DatabaseEntry.PartialOffset property

DatabaseEntry.ReadOnly property

DatabaseEnvironment class

DatabaseEnvironment class

DatabaseEnvironment class

about DatabaseEnvironment class

all members

methods

properties

DatabaseEnvironment.ArchivableDatabaseFiles method

DatabaseEnvironment.ArchivableLogFiles method

DatabaseEnvironment.AutoCommit property

DatabaseEnvironment.Backup method

DatabaseEnvironment.BackupBufferSize property

DatabaseEnvironment.BackupDatabase method

DatabaseEnvironment.BackupHandler property

DatabaseEnvironment.BackupReadCount property

DatabaseEnvironment.BackupReadSleepDuration property

DatabaseEnvironment.BackupWriteDirect property

DatabaseEnvironment.BeginCDSGroup method

DatabaseEnvironment.BeginTransaction method

DatabaseEnvironment.BlobDir property

DatabaseEnvironment.BlobThreshold property

DatabaseEnvironment.CacheSize property

DatabaseEnvironment.CDB_ALLDB property

DatabaseEnvironment.Checkpoint method

DatabaseEnvironment.Close method

DatabaseEnvironment.CloseForceSync method

DatabaseEnvironment.CloseForceSyncAndForceSyncEnv method

DatabaseEnvironment.CloseForceSyncEnv method

DatabaseEnvironment.Create property

DatabaseEnvironment.DataDirs property

DatabaseEnvironment.DeadlockResolution property

DatabaseEnvironment.DetectDeadlocks method

DatabaseEnvironment.EncryptAlgorithm property

DatabaseEnvironment.ErrorFeedback property

DatabaseEnvironment.ErrorPrefix property

DatabaseEnvironment.EventNotify property

DatabaseEnvironment.ExternalFileDir property

DatabaseEnvironment.ExternalFileThreshold property

DatabaseEnvironment.FailCheck method

DatabaseEnvironment.Feedback property

DatabaseEnvironment.ForceFlush property

DatabaseEnvironment.FreeThreaded property

DatabaseEnvironment.Home property

DatabaseEnvironment.HotbackupInProgress property

DatabaseEnvironment.InitLockCount property

DatabaseEnvironment.InitLockerCount property

DatabaseEnvironment.InitLockObjectCount property

DatabaseEnvironment.InitLogIdCount property

DatabaseEnvironment.InitMutexes property

DatabaseEnvironment.InitRegions property

DatabaseEnvironment.InitThreadCount property

DatabaseEnvironment.InitTxnCount property

DatabaseEnvironment.IntermediateDirMode property

DatabaseEnvironment.IsTransactionApplied method

DatabaseEnvironment.LockConflictMatrix property

DatabaseEnvironment.Lockdown property

DatabaseEnvironment.LockingSystemStats method

DatabaseEnvironment.LockPartitions property

DatabaseEnvironment.LockTableSize property

DatabaseEnvironment.LockTimeout property

DatabaseEnvironment.LogAutoRemove property

DatabaseEnvironment.LogBlobContent property

DatabaseEnvironment.LogBufferSize property

DatabaseEnvironment.LogDir property

DatabaseEnvironment.LogExternalFileContent property

DatabaseEnvironment.LogFile method

DatabaseEnvironment.LogFileMode property

DatabaseEnvironment.LogFiles method

DatabaseEnvironment.LogFlush method

DatabaseEnvironment.LogForceSync property

DatabaseEnvironment.LoggingSystemStats method

DatabaseEnvironment.LogInMemory property

DatabaseEnvironment.LogNoBuffer property

DatabaseEnvironment.LogNoSync property

DatabaseEnvironment.LogRegionSize property

DatabaseEnvironment.LogVerify method

DatabaseEnvironment.LogWrite method

DatabaseEnvironment.LogZeroOnCreate property

DatabaseEnvironment.MaxCacheSize property

DatabaseEnvironment.MaxLockers property

DatabaseEnvironment.MaxLocks property

DatabaseEnvironment.MaxLogFileSize property

DatabaseEnvironment.MaxMutexes property

DatabaseEnvironment.MaxObjects property

DatabaseEnvironment.MaxOpenFiles property

DatabaseEnvironment.MaxSequentialWrites property

DatabaseEnvironment.MaxTransactions property

DatabaseEnvironment.messageFeedback property

DatabaseEnvironment.MessagePrefix property

DatabaseEnvironment.MetadataDir property

DatabaseEnvironment.MMapSize property

DatabaseEnvironment.MPoolSystemStats method

DatabaseEnvironment.Msgfile property

DatabaseEnvironment.MutexAlignment property

DatabaseEnvironment.MutexIncrement property

DatabaseEnvironment.MutexSystemStats method

DatabaseEnvironment.NoBuffer property

DatabaseEnvironment.NoLocking property

DatabaseEnvironment.NoMMap property

DatabaseEnvironment.NoPanic property

DatabaseEnvironment.NumTestAndSetSpins property

DatabaseEnvironment.Open method

DatabaseEnvironment.Overwrite property

DatabaseEnvironment.Panic method

DatabaseEnvironment.PrintLockingSystemStats method

DatabaseEnvironment.PrintLoggingSystemStats method

DatabaseEnvironment.PrintMPoolSystemStats method

DatabaseEnvironment.PrintMutexSystemStats method

DatabaseEnvironment.PrintReplicationSystemStats method

DatabaseEnvironment.PrintRepMgrSystemStats method

DatabaseEnvironment.PrintStats method

DatabaseEnvironment.PrintSubsystemStats method

DatabaseEnvironment.PrintTransactionSystemStats method

DatabaseEnvironment.Private property

DatabaseEnvironment.Recover method

DatabaseEnvironment.RegionDir property

DatabaseEnvironment.RegionMemoryLimitBytes property

DatabaseEnvironment.RegionMemoryLimitGBytes property

DatabaseEnvironment.RegionSetMemoryLimit method

DatabaseEnvironment.Register property

DatabaseEnvironment.Remove method

DatabaseEnvironment.RemoveDB method

DatabaseEnvironment.RemoveUnusedLogFiles method

DatabaseEnvironment.RenameDB method

DatabaseEnvironment.RepAckTimeout property

DatabaseEnvironment.RepAutoInit property

DatabaseEnvironment.RepBulkTransfer property

DatabaseEnvironment.RepCheckpointDelay property

DatabaseEnvironment.RepClockskewFast property

DatabaseEnvironment.RepClockskewSlow property

DatabaseEnvironment.RepConnectionRetry property

DatabaseEnvironment.RepDelayClientSync property

DatabaseEnvironment.RepElectionRetry property

DatabaseEnvironment.RepElectionTimeout property

DatabaseEnvironment.RepForwardWrites property

DatabaseEnvironment.RepFullElectionTimeout property

DatabaseEnvironment.RepHeartbeatMonitor property

DatabaseEnvironment.RepHeartbeatSend property

DatabaseEnvironment.RepHoldElection method

DatabaseEnvironment.RepInMemory property

DatabaseEnvironment.RepLeaseTimeout property

DatabaseEnvironment.ReplicationSystemStats method

DatabaseEnvironment.ReplicationView property

DatabaseEnvironment.RepMessageDispatch property

DatabaseEnvironment.RepMgrAckPolicy property

DatabaseEnvironment.RepMgrChannel method

DatabaseEnvironment.RepmgrIncomingQueueMaxBytes property

DatabaseEnvironment.RepmgrIncomingQueueMaxGBytes property

DatabaseEnvironment.RepMgrLocalSite property

DatabaseEnvironment.RepMgrRemoteSites property

DatabaseEnvironment.RepMgrRunElections property

DatabaseEnvironment.RepmgrSetIncomingQueueMax method

DatabaseEnvironment.RepMgrSite method

DatabaseEnvironment.RepMgrSiteConfig method

DatabaseEnvironment.RepMgrStartClient method

DatabaseEnvironment.RepMgrStartMaster method

DatabaseEnvironment.RepMgrSystemStats method

DatabaseEnvironment.RepNoBlocking property

DatabaseEnvironment.RepNSites property

DatabaseEnvironment.RepPrefmasClient property

DatabaseEnvironment.RepPrefmasMaster property

DatabaseEnvironment.RepPriority property

DatabaseEnvironment.RepProcessMessage method

DatabaseEnvironment.RepRetransmissionRequestMax property

DatabaseEnvironment.RepRetransmissionRequestMin property

DatabaseEnvironment.RepSetClockskew method

DatabaseEnvironment.RepSetRetransmissionRequest method

DatabaseEnvironment.RepSetTransmitLimit method

DatabaseEnvironment.RepSetTransport method

DatabaseEnvironment.RepStartClient method

DatabaseEnvironment.RepStartMaster method

DatabaseEnvironment.RepStrict2Site property

DatabaseEnvironment.RepSync method

DatabaseEnvironment.RepTransmitLimitBytes property

DatabaseEnvironment.RepTransmitLimitGBytes property

DatabaseEnvironment.RepTransport property

DatabaseEnvironment.RepUseMasterLeases property

DatabaseEnvironment.RepWriteForwardTimeout property

DatabaseEnvironment.ResetFileID method

DatabaseEnvironment.ResetLSN method

DatabaseEnvironment.RunFatalRecovery property

DatabaseEnvironment.RunRecovery property

DatabaseEnvironment.SequentialWritePause property

DatabaseEnvironment.SetMaxSequentialWrites method

DatabaseEnvironment.SetThreadID property

DatabaseEnvironment.SetThreadName property

DatabaseEnvironment.SyncMemPool method

DatabaseEnvironment.SystemMemory property

DatabaseEnvironment.TempDir property

DatabaseEnvironment.ThreadCount property

DatabaseEnvironment.ThreadIsAlive property

DatabaseEnvironment.TimeNotGranted property

DatabaseEnvironment.TransactionSystemStats method

DatabaseEnvironment.TrickleCleanMemPool method

DatabaseEnvironment.TxnNoSync property

DatabaseEnvironment.TxnNoWait property

DatabaseEnvironment.TxnSnapshot property

DatabaseEnvironment.TxnTimeout property

DatabaseEnvironment.TxnTimestamp property

DatabaseEnvironment.TxnWriteNoSync property

DatabaseEnvironment.UseEnvironmentVars property

DatabaseEnvironment.UseMVCC property

DatabaseEnvironment.UsingCDB property

DatabaseEnvironment.UsingLocking property

DatabaseEnvironment.UsingLogging property

DatabaseEnvironment.UsingMPool property

DatabaseEnvironment.UsingReplication property

DatabaseEnvironment.UsingTxns property

DatabaseEnvironment.Verbosity property

DatabaseEnvironment.WriteToLog method

DatabaseEnvironment.YieldCPU property

DatabaseEnvironmentConfig class

DatabaseEnvironmentConfig class

DatabaseEnvironmentConfig class

about DatabaseEnvironmentConfig class

all members

constructor

fields

methods

properties

DatabaseEnvironmentConfig.AutoCommit field

DatabaseEnvironmentConfig.BlobDir field

DatabaseEnvironmentConfig.BlobThreshold property

DatabaseEnvironmentConfig.CDB_ALLDB field

DatabaseEnvironmentConfig.Create field

DatabaseEnvironmentConfig.CreationDir field

DatabaseEnvironmentConfig.DatabaseEnvironmentConfig constructor

DatabaseEnvironmentConfig.DataDirs field

DatabaseEnvironmentConfig.EncryptAlgorithm property

DatabaseEnvironmentConfig.EncryptionPassword property

DatabaseEnvironmentConfig.ErrorFeedback field

DatabaseEnvironmentConfig.ErrorPrefix field

DatabaseEnvironmentConfig.EventNotify field

DatabaseEnvironmentConfig.ExternalFileDir field

DatabaseEnvironmentConfig.ExternalFileThreshold property

DatabaseEnvironmentConfig.Feedback field

DatabaseEnvironmentConfig.ForceFlush field

DatabaseEnvironmentConfig.FreeThreaded field

DatabaseEnvironmentConfig.HotbackupInProgress field

DatabaseEnvironmentConfig.InitRegions field

DatabaseEnvironmentConfig.InitThreadCount property

DatabaseEnvironmentConfig.InitTxnCount property

DatabaseEnvironmentConfig.IntermediateDirMode field

DatabaseEnvironmentConfig.Lockdown field

DatabaseEnvironmentConfig.LockSystemCfg field

DatabaseEnvironmentConfig.LockTimeout property

DatabaseEnvironmentConfig.LogSystemCfg field

DatabaseEnvironmentConfig.MaxTransactions property

DatabaseEnvironmentConfig.MessagePrefix field

DatabaseEnvironmentConfig.MetadataDir field

DatabaseEnvironmentConfig.MPoolSystemCfg field

DatabaseEnvironmentConfig.MutexSystemCfg field

DatabaseEnvironmentConfig.NoBuffer field

DatabaseEnvironmentConfig.NoLocking field

DatabaseEnvironmentConfig.NoMMap field

DatabaseEnvironmentConfig.NoPanic field

DatabaseEnvironmentConfig.Overwrite field

DatabaseEnvironmentConfig.Private field

DatabaseEnvironmentConfig.Register field

DatabaseEnvironmentConfig.RepSystemCfg field

DatabaseEnvironmentConfig.RunFatalRecovery field

DatabaseEnvironmentConfig.RunRecovery field

DatabaseEnvironmentConfig.SetEncryption method

DatabaseEnvironmentConfig.SetThreadID field

DatabaseEnvironmentConfig.SystemMemory field

DatabaseEnvironmentConfig.TempDir field

DatabaseEnvironmentConfig.ThreadCount property

DatabaseEnvironmentConfig.ThreadIsAlive field

DatabaseEnvironmentConfig.ThreadName field

DatabaseEnvironmentConfig.TimeNotGranted field

DatabaseEnvironmentConfig.TxnNoSync field

DatabaseEnvironmentConfig.TxnNoWait field

DatabaseEnvironmentConfig.TxnSnapshot field

DatabaseEnvironmentConfig.TxnTimeout property

DatabaseEnvironmentConfig.TxnTimestamp property

DatabaseEnvironmentConfig.TxnWriteNoSync field

DatabaseEnvironmentConfig.UseCDB field

DatabaseEnvironmentConfig.UseEnvironmentVars field

DatabaseEnvironmentConfig.UseLocking field

DatabaseEnvironmentConfig.UseLogging field

DatabaseEnvironmentConfig.UseMPool field

DatabaseEnvironmentConfig.UseMVCC field

DatabaseEnvironmentConfig.UseReplication field

DatabaseEnvironmentConfig.UseTxns field

DatabaseEnvironmentConfig.Verbosity field

DatabaseEnvironmentConfig.YieldCPU field

DatabaseException class

DatabaseException class

DatabaseException class

about DatabaseException class

all members

constructor

fields

methods

properties

DatabaseException.DatabaseException constructor

DatabaseException.ErrorCode field

DatabaseException.ThrowException method

DatabaseFeedbackDelegate delegate

DatabaseFeedbackEvent enumeration

DatabaseName property

DatabaseStream class

DatabaseStream class

DatabaseStream class

about DatabaseStream class

all members

methods

properties

DatabaseStream.Close method

DatabaseStream.Dispose method

DatabaseStream.GetConfig property

DatabaseStream.Read method

DatabaseStream.Size method

DatabaseStream.Write method

DatabaseStreamConfig class

DatabaseStreamConfig class

DatabaseStreamConfig class

about DatabaseStreamConfig class

all members

constructor

fields

methods

properties

DatabaseStreamConfig.DatabaseStreamConfig constructor

DatabaseStreamConfig.ReadOnly property

DatabaseStreamConfig.SyncPerWrite field

DatabaseType class

DatabaseType class

DatabaseType class

about DatabaseType class

all members

fields

methods

DatabaseType.BTREE field

DatabaseType.HASH field

DatabaseType.HEAP field

DatabaseType.QUEUE field

DatabaseType.RECNO field

DatabaseType.ToString method

DatabaseType.UNKNOWN field

DataDirs field

DataDirs property

DataPages property

DataPagesBytesFree property

DbChannel class

DbChannel class

DbChannel class

about DbChannel class

all members

methods

properties

DbChannel.Close method

DbChannel.Dispose method

DbChannel.SendMessage method

DbChannel.SendRequest method

DbChannel.Timeout property

DbFile property

DbName property

DbSite class

DbSite class

DbSite class

about DbSite class

all members

methods

properties

DbSite.Address property

DbSite.Close method

DbSite.Dispose method

DbSite.EId property

DbSite.GroupCreator property

DbSite.Helper property

DbSite.Legacy property

DbSite.LocalSite property

DbSite.Peer property

DbSite.Remove method

DbSiteConfig class

DbSiteConfig class

DbSiteConfig class

about DbSiteConfig class

all members

constructor

fields

methods

properties

DbSiteConfig.DbSiteConfig constructor

DbSiteConfig.GroupCreator property

DbSiteConfig.Helper property

DbSiteConfig.Host field

DbSiteConfig.Legacy property

DbSiteConfig.LocalSite property

DbSiteConfig.Peer property

DbSiteConfig.Port field

DbStream method

DbStream method

DbThreadID class

DbThreadID class

DbThreadID class

about DbThreadID class

all members

constructor

fields

methods

DbThreadID.DbThreadID constructor

DbThreadID.processID field

DbThreadID.threadID field

DB_BUFFER_SMALL field

DB_DONOTINDEX field

DB_FOREIGN_CONFLICT field

DB_HEAP_FULL field

DB_KEYEMPTY field

DB_KEYEXIST field

DB_LOCK_DEADLOCK field

DB_LOCK_NOTGRANTED field

DB_LOG_BUFFER_FULL field

DB_META_CHKSUM_FAIL field

DB_NOSERVER field

DB_NOTFOUND field

DB_OLD_VERSION field

DB_PAGE_NOTFOUND field

DB_REP_DUPMASTER field

DB_REP_HANDLE_DEAD field

DB_REP_HOLDELECTION field

DB_REP_IGNORE field

DB_REP_ISPERM field

DB_REP_JOIN_FAILURE field

DB_REP_LEASE_EXPIRED field

DB_REP_LOCKOUT field

DB_REP_NEWSITE field

DB_REP_NOTPERM field

DB_REP_UNAVAIL field

DB_RUNRECOVERY field

DB_SECONDARY_BAD field

DB_VERIFY_BAD field

DB_VERSION_MISMATCH field

Deadlock field

DeadlockException class

DeadlockException class

DeadlockException class

about DeadlockException class

all members

constructor

fields

methods

properties

DeadlockException.DeadlockException constructor

DeadlockPolicy class

DeadlockPolicy class

DeadlockPolicy class

about DeadlockPolicy class

all members

fields

methods

DeadlockPolicy.DEFAULT field

DeadlockPolicy.EXPIRE field

DeadlockPolicy.MAX_LOCKS field

DeadlockPolicy.MAX_WRITE field

DeadlockPolicy.MIN_LOCKS field

DeadlockPolicy.MIN_WRITE field

DeadlockPolicy.OLDEST field

DeadlockPolicy.RANDOM field

DeadlockPolicy.YOUNGEST field

DeadlockResolution field

DeadlockResolution property

Deadlocks property

Decompress property

Decompress property

Decrement property

Decrement property

DEFAULT enumeration member

DEFAULT enumeration member

DEFAULT enumeration member

DEFAULT field

DEFAULT field

DEGREE_ONE enumeration member

DEGREE_THREE enumeration member

DEGREE_TWO enumeration member

DelayClientSync field

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delete method

Delimiter property

Delimiter property

Delimiter property

DetectDeadlocks method

Dir field

DirtyPages property

DirtyPagesEvicted property

Discard method

DiskFileNumber property

DiskOffset property

Dispose method

Dispose method

Dispose method

Dispose method

Dispose method

Dispose method

Dispose method

Dispose method

DoChecksum field

DoChecksum property

DroppedConnections property

DroppedMessages property

DupCompare property

DupCompare property

DupCompare property

DupCompare property

Duplicate method

Duplicate method

Duplicate method

Duplicate method

Duplicate method

DuplicateCompare field

DuplicateCompare field

DuplicateCompare field

DuplicateCompare field

DuplicateLogRecords property

DuplicatePages property

DuplicatePages property

DuplicatePages property

DuplicatePages property

DuplicatePagesFreeBytes property

DuplicatePagesFreeBytes property

DuplicatePagesFreeBytes property

Duplicates field

Duplicates field

Duplicates field

Duplicates field

Duplicates property

Duplicates property

Duplicates property

Duplicates property

DuplicatesPolicy enumeration

DUPLICATE_MASTER enumeration member

DupMasters property

EId field

EId property

EID_BROADCAST enumeration member

EID_INVALID enumeration member

EID_MASTER enumeration member

ElectionDataGeneration property

ElectionGenerationNumber property

ElectionPriority property

ElectionRetry property

Elections field

Elections property

ElectionStatus property

ElectionsWon property

ElectionThreads property

ElectionTiebreaker property

ElectionTimeout property

ElectionTimeSec property

ElectionTimeUSec property

EmptyBuckets property

EmptyPages property

EmptyPages property

EMPTY_TRANSACTION enumeration member

EncryptAlgorithm property

EncryptAlgorithm property

EncryptAlgorithm property

EncryptAlgorithm property

Encrypted property

Encrypted property

EncryptionAlgorithm enumeration

EncryptionPassword property

EncryptionPassword property

End property

Endianness property

EndLsn property

EndTime property

EntryComparisonDelegate delegate

EntryPrefixComparisonDelegate delegate

Env field

EnvHome property

EnvID property

EnvironmentFeedbackDelegate delegate

EnvironmentFeedbackEvent enumeration

EnvironmentID enumeration

EnvPriority property

Equal property

ERROR enumeration member

ErrorCode field

ErrorCodes class

ErrorCodes class

ErrorCodes class

about ErrorCodes class

all members

constructor

fields

methods

ErrorCodes.DB_BUFFER_SMALL field

ErrorCodes.DB_DONOTINDEX field

ErrorCodes.DB_FOREIGN_CONFLICT field

ErrorCodes.DB_HEAP_FULL field

ErrorCodes.DB_KEYEMPTY field

ErrorCodes.DB_KEYEXIST field

ErrorCodes.DB_LOCK_DEADLOCK field

ErrorCodes.DB_LOCK_NOTGRANTED field

ErrorCodes.DB_LOG_BUFFER_FULL field

ErrorCodes.DB_META_CHKSUM_FAIL field

ErrorCodes.DB_NOSERVER field

ErrorCodes.DB_NOTFOUND field

ErrorCodes.DB_OLD_VERSION field

ErrorCodes.DB_PAGE_NOTFOUND field

ErrorCodes.DB_REP_DUPMASTER field

ErrorCodes.DB_REP_HANDLE_DEAD field

ErrorCodes.DB_REP_HOLDELECTION field

ErrorCodes.DB_REP_IGNORE field

ErrorCodes.DB_REP_ISPERM field

ErrorCodes.DB_REP_JOIN_FAILURE field

ErrorCodes.DB_REP_LEASE_EXPIRED field

ErrorCodes.DB_REP_LOCKOUT field

ErrorCodes.DB_REP_NEWSITE field

ErrorCodes.DB_REP_NOTPERM field

ErrorCodes.DB_REP_UNAVAIL field

ErrorCodes.DB_RUNRECOVERY field

ErrorCodes.DB_SECONDARY_BAD field

ErrorCodes.DB_VERIFY_BAD field

ErrorCodes.DB_VERSION_MISMATCH field

ErrorCodes.ErrorCodes constructor

ErrorFeedback field

ErrorFeedback field

ErrorFeedback property

ErrorFeedback property

ErrorFeedbackDelegate delegate

ErrorPrefix field

ErrorPrefix field

ErrorPrefix property

ErrorPrefix property

EventNotify field

EventNotify property

EventNotifyDelegate delegate

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

Exists method

EXPIRE field

ExtentSize property

ExtentSize property

ExtentSize property

ExtentSize property

ExternalFile property

ExternalFileDir field

ExternalFileDir field

ExternalFileDir field

ExternalFileDir field

ExternalFileDir property

ExternalFileDir property

ExternalFileDir property

ExternalFileDir property

ExternalFileDuplicated property

ExternalFileRecords property

ExternalFileRerequests property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileThreshold property

ExternalFileUpdateRerequests property

FailCheck method

FailedConnections property

FailedMessages property

FailedMessageSends property

FastStats method

FastStats method

FastStats method

FastStats method

FastStats method

Feedback field

Feedback field

Feedback property

Feedback property

FileId property

FileMode property

FileName property

FileName property

FileOps field

Files field

Files property

FileSize property

FillFactor property

FillFactor property

FillFactor property

FillFactor property

FillFactor property

FillPercentage property

FIRST enumeration member

FirstRecordNumber property

Flags property

ForcedRerequests property

ForceFlush field

ForceFlush property

ForceSync field

ForeignConflictException class

ForeignConflictException class

ForeignConflictException class

about ForeignConflictException class

all members

constructor

fields

methods

properties

ForeignConflictException.ForeignConflictException constructor

ForeignKeyDatabase property

ForeignKeyDeleteAction enumeration

ForeignKeyNullfier property

ForeignKeyNullifyDelegate delegate

ForwardWrites field

FreePages property

FreePages property

FreePages property

FreeThreaded field

FreeThreaded field

FreeThreaded field

FreeThreaded property

FreeThreaded property

fromArray method

FromConst method

FrozenBuffers property

FrozenBuffersFreed property

FullElectionTimeout property

FullLogBufferException class

FullLogBufferException class

FullLogBufferException class

about FullLogBufferException class

all members

constructor

fields

methods

properties

FullLogBufferException.FullLogBufferException constructor

Get method

Get method

Get method

Get method

Get method

Get method

Get method

Get method

Get method

Get method

Get method

Get method

Get method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBoth method

GetBothMultiple method

GetBothMultiple method

GetBothMultiple method

GetBothMultiple method

GetBothMultiple method

GetBothMultiple method

GetConfig property

GetEnumerator method

GetEnumerator method

GetEnumerator method

GetEnumerator method

GetEnumerator method

GetEnumerator method

GetMultiple method

GetMultiple method

GetMultiple method

GetMultiple method

GetMultiple method

GetMultiple method

Gigabytes field

GlobalID property

GlobalID property

GlobalIdLength field

Greater property

GroupCreator property

GroupCreator property

HASH field

HashBucketMutexes property

HashBuckets property

HashChainSearches property

HashComparison field

HashCursor class

HashCursor class

HashCursor class

about HashCursor class

all members

methods

properties

HashCursor.Add method

HashCursor.AddUnique method

HashCursor.DbStream method

HashCursor.Duplicate method

HashCursor.Insert method

HashCursor.Move method

HashCursor.MoveFirst method

HashCursor.MoveFirstMultiple method

HashCursor.MoveFirstMultipleKey method

HashCursor.MoveLast method

HashCursor.MoveMultiple method

HashCursor.MoveMultipleKey method

HashCursor.MoveNext method

HashCursor.MoveNextDuplicate method

HashCursor.MoveNextDuplicateMultiple method

HashCursor.MoveNextDuplicateMultipleKey method

HashCursor.MoveNextMultiple method

HashCursor.MoveNextMultipleKey method

HashCursor.MoveNextUnique method

HashCursor.MoveNextUniqueMultiple method

HashCursor.MoveNextUniqueMultipleKey method

HashCursor.MovePrev method

HashCursor.MovePrevDuplicate method

HashCursor.MovePrevUnique method

HashCursor.Refresh method

HashCursor.RefreshMultiple method

HashCursor.RefreshMultipleKey method

HashDatabase class

HashDatabase class

HashDatabase class

about HashDatabase class

all members

methods

properties

HashDatabase.BlobDir property

HashDatabase.BlobThreshold property

HashDatabase.Close method

HashDatabase.Compact method

HashDatabase.Compare property

HashDatabase.Cursor method

HashDatabase.Delete method

HashDatabase.DupCompare property

HashDatabase.Duplicates property

HashDatabase.Exists method

HashDatabase.ExternalFileDir property

HashDatabase.ExternalFileThreshold property

HashDatabase.FastStats method

HashDatabase.FillFactor property

HashDatabase.Get method

HashDatabase.GetBoth method

HashDatabase.GetBothMultiple method

HashDatabase.GetMultiple method

HashDatabase.HashFunction property

HashDatabase.NParts property

HashDatabase.Open method

HashDatabase.Partition property

HashDatabase.PartitionKeys property

HashDatabase.PrintFastStats method

HashDatabase.PrintStats method

HashDatabase.Put method

HashDatabase.PutNoDuplicate method

HashDatabase.PutNoOverwrite method

HashDatabase.Stats method

HashDatabase.TableSize property

HashDatabase.Truncate method

HashDatabase.TruncateUnusedPages method

HashDatabaseConfig class

HashDatabaseConfig class

HashDatabaseConfig class

about HashDatabaseConfig class

all members

constructor

fields

methods

properties

HashDatabaseConfig.BlobDir field

HashDatabaseConfig.BlobThreshold property

HashDatabaseConfig.Creation field

HashDatabaseConfig.DuplicateCompare field

HashDatabaseConfig.Duplicates field

HashDatabaseConfig.ExternalFileDir field

HashDatabaseConfig.ExternalFileThreshold property

HashDatabaseConfig.FillFactor property

HashDatabaseConfig.HashComparison field

HashDatabaseConfig.HashDatabaseConfig constructor

HashDatabaseConfig.HashFunction field

HashDatabaseConfig.NParts property

HashDatabaseConfig.Partition property

HashDatabaseConfig.PartitionKeys property

HashDatabaseConfig.SetPartitionByCallback method

HashDatabaseConfig.SetPartitionByKeys method

HashDatabaseConfig.TableSize property

HashEntriesSearched property

HashFunction field

HashFunction field

HashFunction property

HashFunction property

HashFunctionDelegate delegate

HashLockNoWait property

HashLockWait property

HashStats class

HashStats class

HashStats class

about HashStats class

all members

methods

properties

HashStats.BigPages property

HashStats.BigPagesFreeBytes property

HashStats.BucketPagesFreeBytes property

HashStats.DuplicatePages property

HashStats.DuplicatePagesFreeBytes property

HashStats.FillFactor property

HashStats.FreePages property

HashStats.MagicNumber property

HashStats.MetadataFlags property

HashStats.nBlobRecords property

HashStats.nData property

HashStats.nExternalFiles property

HashStats.nHashBuckets property

HashStats.nKeys property

HashStats.nPages property

HashStats.OverflowPages property

HashStats.OverflowPagesFreeBytes property

HashStats.PageSize property

HashStats.Version property

HasMultiple property

HEAP field

HeapDatabase class

HeapDatabase class

HeapDatabase class

about HeapDatabase class

all members

methods

properties

HeapDatabase.Append method

HeapDatabase.BlobDir property

HeapDatabase.BlobThreshold property

HeapDatabase.Close method

HeapDatabase.Cursor method

HeapDatabase.Delete method

HeapDatabase.Exists method

HeapDatabase.ExternalFileDir property

HeapDatabase.ExternalFileThreshold property

HeapDatabase.FastStats method

HeapDatabase.Get method

HeapDatabase.GetBoth method

HeapDatabase.GetBothMultiple method

HeapDatabase.GetMultiple method

HeapDatabase.MaxSizeBytes property

HeapDatabase.MaxSizeGBytes property

HeapDatabase.Open method

HeapDatabase.PrintFastStats method

HeapDatabase.PrintStats method

HeapDatabase.Put method

HeapDatabase.PutNoOverwrite method

HeapDatabase.RegionSize property

HeapDatabase.Stats method

HeapDatabase.Truncate method

HeapDatabaseConfig class

HeapDatabaseConfig class

HeapDatabaseConfig class

about HeapDatabaseConfig class

all members

constructor

fields

methods

properties

HeapDatabaseConfig.BlobDir field

HeapDatabaseConfig.BlobThreshold property

HeapDatabaseConfig.Creation field

HeapDatabaseConfig.ExternalFileDir field

HeapDatabaseConfig.ExternalFileThreshold property

HeapDatabaseConfig.HeapDatabaseConfig constructor

HeapDatabaseConfig.MaxSize method

HeapDatabaseConfig.MaxSizeBytes property

HeapDatabaseConfig.MaxSizeGBytes property

HeapDatabaseConfig.RegionSize property

HeapFullException class

HeapFullException class

HeapFullException class

about HeapFullException class

all members

constructor

fields

methods

properties

HeapFullException.HeapFullException constructor

HeapRecordId class

HeapRecordId class

HeapRecordId class

about HeapRecordId class

all members

constructor

methods

properties

HeapRecordId.fromArray method

HeapRecordId.HeapRecordId constructor

HeapRecordId.Index property

HeapRecordId.PageNumber property

HeapRecordId.toArray method

HeapStats class

HeapStats class

HeapStats class

about HeapStats class

all members

methods

properties

HeapStats.MagicNumber property

HeapStats.MetadataFlags property

HeapStats.nBlobRecords property

HeapStats.nExternalFiles property

HeapStats.nPages property

HeapStats.nRecords property

HeapStats.nRegions property

HeapStats.PageSize property

HeapStats.RegionSize property

HeapStats.Version property

HeartbeatMonitor property

HeartbeatSend property

Helper property

Helper property

HIGH field

HOLD_ELECTION enumeration member

Home property

Host field

Host field

HotbackupInProgress field

HotbackupInProgress property

IBackup interface

IBackup interface

IBackup interface

about IBackup interface

all members

methods

IBackup.Close method

IBackup.Open method

IBackup.Write method

Id property

ID property

IF_NEEDED enumeration member

IGNORED enumeration member

IgnoredMessages property

ImmutableKey field

IncomingDroppedMessages property

IncomingQueueBytes property

IncomingQueueGBytes property

Increment property

Increment property

Increment property

Index property

InHostOrder property

InitCount property

InitFileId property

InitialValue property

InitLockCount property

InitLockCount property

InitLockerCount property

InitLockerCount property

InitLockers property

InitLockObjectCount property

InitLockObjectCount property

InitLocks property

InitLogIdCount property

InitLogIdCount property

InitMutexes property

InitMutexes property

InitObjects property

InitRegions field

InitRegions property

InitThreadCount property

InitThreadCount property

InitTransactionCount property

InitTxnCount property

InitTxnCount property

InitTxns property

InMemory field

InMemory field

InOrder property

Insert method

Insert method

Insert method

IntermediateDirMode field

IntermediateDirMode property

InternalPages property

InternalPages property

InternalPagesFreeBytes property

InternalPagesFreeBytes property

InUse property

isConnected field

Isolation enumeration

IsolationDegree field

IsolationDegree field

IsolationDegree field

isPeer field

IsTransactionApplied method

isView field

IS_PERMANENT enumeration member

Join method

JoinCursor class

JoinCursor class

JoinCursor class

about JoinCursor class

all members

methods

properties

JoinCursor.Close method

JoinCursor.Current property

JoinCursor.Dispose method

JoinCursor.GetEnumerator method

JoinCursor.MoveNext method

JoinCursor.MoveNextItem method

JOIN_FAILURE enumeration member

key field

Key property

KeyEmptyException class

KeyEmptyException class

KeyEmptyException class

about KeyEmptyException class

all members

constructor

fields

methods

properties

KeyEmptyException.KeyEmptyException constructor

KeyExistException class

KeyExistException class

KeyExistException class

about KeyExistException class

all members

constructor

fields

methods

properties

KeyExistException.KeyExistException constructor

KeyGen property

KeyGen property

KeyRange class

KeyRange class

KeyRange class

about KeyRange class

all members

methods

properties

KeyRange method

KeyRange.Equal property

KeyRange.Greater property

KeyRange.Less property

LAST enumeration member

LastAllocatedLockerID property

LastCachedValue property

LastCheckpoint property

LastCheckpointTime property

LastID property

LeafPages property

LeafPages property

LeafPagesFreeBytes property

LeafPagesFreeBytes property

LeaseCheckedMissesNumber property

LeaseCheckedNumber property

LeaseCheckedRefreshNumber property

LeaseExpiredException class

LeaseExpiredException class

LeaseExpiredException class

about LeaseExpiredException class

all members

constructor

fields

methods

properties

LeaseExpiredException.LeaseExpiredException constructor

LeaseSentNumber property

LeaseTimeout property

Legacy property

Legacy property

Length property

Length property

Length property

Length property

Length property

Length property

Length property

Less property

Levels property

Levels property

Levels property

LITTLE_ENDIAN field

LocalSite property

LocalSite property

LockConflictMatrix property

LockConflictsNoWait property

LockConflictsWait property

LockDeadlocks property

Lockdown field

Lockdown property

LockDowngrades property

LockerNoWait property

Lockers property

LockersHit property

LockersReused property

LockerWait property

LockingConfig class

LockingConfig class

LockingConfig class

about LockingConfig class

all members

constructor

fields

methods

properties

LockingConfig.Conflicts property

LockingConfig.DeadlockResolution field

LockingConfig.InitLockCount property

LockingConfig.InitLockerCount property

LockingConfig.InitLockObjectCount property

LockingConfig.LockingConfig constructor

LockingConfig.MaxLockers property

LockingConfig.MaxLocks property

LockingConfig.MaxObjects property

LockingConfig.Partitions property

LockingConfig.TableSize property

LockingInfo class

LockingInfo class

LockingInfo class

about LockingInfo class

all members

constructor

fields

methods

LockingInfo.IsolationDegree field

LockingInfo.LockingInfo constructor

LockingInfo.ReadModifyWrite field

LockingSystemStats method

LockModes property

LockNotGrantedException class

LockNotGrantedException class

LockNotGrantedException class

about LockNotGrantedException class

all members

constructor

fields

methods

properties

LockNotGrantedException.LockNotGrantedException constructor

LockNoWait property

LockPartitions property

LockPuts property

LockRequests property

Locks property

LockStats class

LockStats class

LockStats class

about LockStats class

all members

methods

properties

LockStats.AllocatedLockers property

LockStats.AllocatedLocks property

LockStats.AllocatedObjects property

LockStats.InitLockers property

LockStats.InitLocks property

LockStats.InitObjects property

LockStats.LastAllocatedLockerID property

LockStats.LockConflictsNoWait property

LockStats.LockConflictsWait property

LockStats.LockDeadlocks property

LockStats.LockDowngrades property

LockStats.LockerNoWait property

LockStats.Lockers property

LockStats.LockersHit property

LockStats.LockersReused property

LockStats.LockerWait property

LockStats.LockModes property

LockStats.LockPuts property

LockStats.LockRequests property

LockStats.Locks property

LockStats.LockSteals property

LockStats.LockTimeoutLength property

LockStats.LockTimeouts property

LockStats.LockUpgrades property

LockStats.MaxBucketLength property

LockStats.MaxLockers property

LockStats.MaxLockersInTable property

LockStats.MaxLocks property

LockStats.MaxLocksInBucket property

LockStats.MaxLocksInTable property

LockStats.MaxLockSteals property

LockStats.MaxObjects property

LockStats.MaxObjectsInBucket property

LockStats.MaxObjectsInTable property

LockStats.MaxObjectSteals property

LockStats.MaxPartitionLockNoWait property

LockStats.MaxPartitionLockWait property

LockStats.MaxUnusedID property

LockStats.nPartitions property

LockStats.ObjectNoWait property

LockStats.Objects property

LockStats.ObjectSteals property

LockStats.ObjectWait property

LockStats.PartitionLockNoWait property

LockStats.PartitionLockWait property

LockStats.RegionNoWait property

LockStats.RegionSize property

LockStats.RegionWait property

LockStats.TableSize property

LockStats.TxnTimeoutLength property

LockStats.TxnTimeouts property

LockSteals property

LockSystemCfg field

LockTableSize property

LockTimeout property

LockTimeout property

LockTimeout property

LockTimeoutLength property

LockTimeouts property

LockUpgrades property

LockWait property

LogAutoRemove property

LogBlobContent field

LogBlobContent property

LogBufferSize property

LogConfig class

LogConfig class

LogConfig class

about LogConfig class

all members

constructor

fields

methods

properties

LogConfig.AutoRemove field

LogConfig.BufferSize property

LogConfig.Dir field

LogConfig.FileMode property

LogConfig.ForceSync field

LogConfig.InitLogIdCount property

LogConfig.InMemory field

LogConfig.LogBlobContent field

LogConfig.LogConfig constructor

LogConfig.LogExternalFileContent field

LogConfig.MaxFileSize property

LogConfig.NoBuffer field

LogConfig.NoSync field

LogConfig.RegionSize property

LogConfig.ZeroOnCreate field

LogDir property

LogExternalFileContent field

LogExternalFileContent property

LogFile method

LogFileMode property

LogFileNumber field

LogFiles method

LogFlush method

LogForceSync property

LoggingSystemStats method

LogInMemory property

LogNoBuffer property

LogNoSync property

LogRegionSize property

LogStats class

LogStats class

LogStats class

about LogStats class

all members

methods

properties

LogStats.BufferSize property

LogStats.Bytes property

LogStats.BytesSinceCheckpoint property

LogStats.CurrentFile property

LogStats.CurrentOffset property

LogStats.DiskFileNumber property

LogStats.DiskOffset property

LogStats.FileId property

LogStats.FileSize property

LogStats.InitFileId property

LogStats.MagicNumber property

LogStats.MaxCommitsPerFlush property

LogStats.MaxFileId property

LogStats.MBytes property

LogStats.MBytesSinceCheckpoint property

LogStats.MinCommitsPerFlush property

LogStats.OverflowWrites property

LogStats.PermissionsMode property

LogStats.Reads property

LogStats.Records property

LogStats.RegionLockNoWait property

LogStats.RegionLockWait property

LogStats.RegionSize property

LogStats.Syncs property

LogStats.Version property

LogStats.Writes property

LogSystemCfg field

LogVerify method

LogVerifyConfig class

LogVerifyConfig class

LogVerifyConfig class

about LogVerifyConfig class

all members

constructor

methods

properties

LogVerifyConfig.CacheSize property

LogVerifyConfig.ContinueAfterFail property

LogVerifyConfig.DbFile property

LogVerifyConfig.DbName property

LogVerifyConfig.EndLsn property

LogVerifyConfig.EndTime property

LogVerifyConfig.EnvHome property

LogVerifyConfig.LogVerifyConfig constructor

LogVerifyConfig.StartLsn property

LogVerifyConfig.StartTime property

LogVerifyConfig.Verbose property

LogWrite method

LogZeroOnCreate property

LongestHashChainSearch property

LOW field

LSN class

LSN class

LSN class

about LSN class

all members

constructor

fields

methods

LSN.Compare method

LSN.LogFileNumber field

LSN.LSN constructor

LSN.Offset field

MACHINE field

MagicNumber property

MagicNumber property

MagicNumber property

MagicNumber property

MagicNumber property

MagicNumber property

MappedPages property

MappedPages property

MasterChanges property

MasterEnvID property

Max property

Max property

Max property

Max property

MaxActive property

MaxBucketLength property

MaxBucketsCheckedDuringAlloc property

MaxBufferWrites property

MaxBufferWritesSleep property

MaxCacheRegions property

MaxCacheSize field

MaxCacheSize property

MaxCommitsPerFlush property

MaxElectionThreads property

MaxFileId property

MaxFileSize property

MaxHashLockNoWait property

MaxHashLockWait property

MaxInUse property

MaxLeaseSec property

MaxLeaseUSec property

MaxLockers property

MaxLockers property

MaxLockers property

MaxLockersInTable property

MaxLocks property

MaxLocks property

MaxLocks property

MaxLocksInBucket property

MaxLocksInTable property

MaxLockSteals property

MaxLogFileSize property

MaxMMapSize property

MaxMutexes property

MaxMutexes property

MaxObjects property

MaxObjects property

MaxObjects property

MaxObjectsInBucket property

MaxObjectsInTable property

MaxObjectSteals property

MaxOpenFileDescriptors property

MaxOpenFiles property

MaxOpenFiles property

MaxPagesCheckedDuringAlloc property

MaxPartitionLockNoWait property

MaxPartitionLockWait property

MaxPermanentLSN property

MaxQueuedLogRecords property

MaxSequentialWrites property

MaxSequentialWrites property

MaxSize method

MaxSizeBytes property

MaxSizeBytes property

MaxSizeGBytes property

MaxSizeGBytes property

MaxSnapshot property

MaxTransactions property

MaxTransactions property

MaxTransactions property

MaxUnusedID property

MAX_LOCKS field

MAX_WRITE field

MBytes property

MBytesSinceCheckpoint property

MessageDispatchDelegate delegate

messageFeedback property

messageFeedback property

MessageFeedbackDelegate delegate

MessagePrefix field

MessagePrefix field

MessagePrefix property

MessagePrefix property

MessagesSent property

MetaCheckSumFailException class

MetaCheckSumFailException class

MetaCheckSumFailException class

about MetaCheckSumFailException class

all members

constructor

fields

methods

properties

MetaCheckSumFailException.MetaCheckSumFailException constructor

MetadataDir field

MetadataDir property

MetadataFlags property

MetadataFlags property

MetadataFlags property

MetadataFlags property

MetadataFlags property

Min property

Min property

Min property

MinCommitsPerFlush property

MinKey property

MinKey property

MinKeysPerPage property

MinKeysPerPage property

MinKeysPerPage property

MinKeysPerPage property

MIN_LOCKS field

MIN_WRITE field

MissedLogRecords property

MissedPages property

MMapSize property

MMapSize property

Move method

Move method

Move method

Move method

Move method

MoveFirst method

MoveFirst method

MoveFirst method

MoveFirst method

MoveFirst method

MoveFirstMultiple method

MoveFirstMultiple method

MoveFirstMultiple method

MoveFirstMultiple method

MoveFirstMultipleKey method

MoveFirstMultipleKey method

MoveFirstMultipleKey method

MoveFirstMultipleKey method

MoveLast method

MoveLast method

MoveLast method

MoveLast method

MoveLast method

MoveMultiple method

MoveMultiple method

MoveMultiple method

MoveMultiple method

MoveMultipleKey method

MoveMultipleKey method

MoveMultipleKey method

MoveMultipleKey method

MoveNext method

MoveNext method

MoveNext method

MoveNext method

MoveNext method

MoveNext method

MoveNextDuplicate method

MoveNextDuplicate method

MoveNextDuplicate method

MoveNextDuplicate method

MoveNextDuplicate method

MoveNextDuplicateMultiple method

MoveNextDuplicateMultiple method

MoveNextDuplicateMultiple method

MoveNextDuplicateMultiple method

MoveNextDuplicateMultipleKey method

MoveNextDuplicateMultipleKey method

MoveNextDuplicateMultipleKey method

MoveNextDuplicateMultipleKey method

MoveNextItem method

MoveNextMultiple method

MoveNextMultiple method

MoveNextMultiple method

MoveNextMultiple method

MoveNextMultipleKey method

MoveNextMultipleKey method

MoveNextMultipleKey method

MoveNextMultipleKey method

MoveNextUnique method

MoveNextUnique method

MoveNextUnique method

MoveNextUnique method

MoveNextUnique method

MoveNextUniqueMultiple method

MoveNextUniqueMultiple method

MoveNextUniqueMultiple method

MoveNextUniqueMultiple method

MoveNextUniqueMultipleKey method

MoveNextUniqueMultipleKey method

MoveNextUniqueMultipleKey method

MoveNextUniqueMultipleKey method

MovePrev method

MovePrev method

MovePrev method

MovePrev method

MovePrev method

MovePrevDuplicate method

MovePrevDuplicate method

MovePrevDuplicate method

MovePrevDuplicate method

MovePrevDuplicate method

MovePrevUnique method

MovePrevUnique method

MovePrevUnique method

MovePrevUnique method

MovePrevUnique method

MPoolConfig class

MPoolConfig class

MPoolConfig class

about MPoolConfig class

all members

constructor

fields

methods

properties

MPoolConfig.CacheSize field

MPoolConfig.MaxCacheSize field

MPoolConfig.MaxOpenFiles property

MPoolConfig.MaxSequentialWrites property

MPoolConfig.MMapSize property

MPoolConfig.MPoolConfig constructor

MPoolConfig.SequentialWritePause property

MPoolConfig.SetMaxSequentialWrites method

MPoolFileStats class

MPoolFileStats class

MPoolFileStats class

about MPoolFileStats class

all members

methods

properties

MPoolFileStats.BackupSpins property

MPoolFileStats.FileName property

MPoolFileStats.MappedPages property

MPoolFileStats.PagesCreatedInCache property

MPoolFileStats.PagesInCache property

MPoolFileStats.PageSize property

MPoolFileStats.PagesNotInCache property

MPoolFileStats.PagesRead property

MPoolFileStats.PagesWritten property

MPoolStats class

MPoolStats class

MPoolStats class

about MPoolStats class

all members

methods

properties

MPoolStats.BlockedOperations property

MPoolStats.BucketsCheckedDuringAlloc property

MPoolStats.CacheSettings property

MPoolStats.CleanPages property

MPoolStats.CleanPagesEvicted property

MPoolStats.DirtyPages property

MPoolStats.DirtyPagesEvicted property

MPoolStats.Files property

MPoolStats.FrozenBuffers property

MPoolStats.FrozenBuffersFreed property

MPoolStats.HashBucketMutexes property

MPoolStats.HashBuckets property

MPoolStats.HashChainSearches property

MPoolStats.HashEntriesSearched property

MPoolStats.HashLockNoWait property

MPoolStats.HashLockWait property

MPoolStats.LongestHashChainSearch property

MPoolStats.MappedPages property

MPoolStats.MaxBucketsCheckedDuringAlloc property

MPoolStats.MaxBufferWrites property

MPoolStats.MaxBufferWritesSleep property

MPoolStats.MaxCacheRegions property

MPoolStats.MaxHashLockNoWait property

MPoolStats.MaxHashLockWait property

MPoolStats.MaxMMapSize property

MPoolStats.MaxOpenFileDescriptors property

MPoolStats.MaxPagesCheckedDuringAlloc property

MPoolStats.OddFileSizeDetected property

MPoolStats.OddFileSizeResolve property

MPoolStats.OutdatedInvisibleBuffersReused property

MPoolStats.PageAllocations property

MPoolStats.Pages property

MPoolStats.PagesCheckedDuringAlloc property

MPoolStats.PagesCreatedInCache property

MPoolStats.PagesInCache property

MPoolStats.PageSize property

MPoolStats.PagesNotInCache property

MPoolStats.PagesRead property

MPoolStats.PagesTrickled property

MPoolStats.PagesWritten property

MPoolStats.RegionLockNoWait property

MPoolStats.RegionLockWait property

MPoolStats.RegionMax property

MPoolStats.RegionSize property

MPoolStats.SyncInterrupted property

MPoolStats.ThawedBuffers property

MPoolSystemCfg field

MPoolSystemStats method

Msgfile property

Msgfile property

MultipleDatabaseEntry class

MultipleDatabaseEntry class

MultipleDatabaseEntry class

about MultipleDatabaseEntry class

all members

constructor

methods

properties

MultipleDatabaseEntry.GetEnumerator method

MultipleDatabaseEntry.MultipleDatabaseEntry constructor

MultipleDatabaseEntry.Recno property

MultipleKeyDatabaseEntry class

MultipleKeyDatabaseEntry class

MultipleKeyDatabaseEntry class

about MultipleKeyDatabaseEntry class

all members

constructor

methods

properties

MultipleKeyDatabaseEntry.GetEnumerator method

MultipleKeyDatabaseEntry.MultipleKeyDatabaseEntry constructor

MultipleKeyDatabaseEntry.Recno property

MutexAlignment property

MutexConfig class

MutexConfig class

MutexConfig class

about MutexConfig class

all members

constructor

methods

properties

MutexConfig.Alignment property

MutexConfig.Increment property

MutexConfig.InitMutexes property

MutexConfig.MaxMutexes property

MutexConfig.MutexConfig constructor

MutexConfig.NumTestAndSetSpins property

MutexIncrement property

MutexStats class

MutexStats class

MutexStats class

about MutexStats class

all members

methods

properties

MutexStats.Alignment property

MutexStats.Available property

MutexStats.Count property

MutexStats.InitCount property

MutexStats.InUse property

MutexStats.Max property

MutexStats.MaxInUse property

MutexStats.RegionMax property

MutexStats.RegionNoWait property

MutexStats.RegionSize property

MutexStats.RegionWait property

MutexStats.TASSpins property

MutexSystemCfg field

MutexSystemStats method

Name property

Name property

Name property

nBlobRecords property

nBlobRecords property

nBlobRecords property

nBlobRecords property

NCaches field

nData property

nData property

nData property

nData property

NEVER enumeration member

NewSiteMessages property

NEW_SITE enumeration member

nExternalFiles property

nExternalFiles property

nExternalFiles property

nExternalFiles property

NextLSN property

NextPage property

NextRecordNumber property

nHashBuckets property

nKeys property

nKeys property

nKeys property

nKeys property

NoBlocking field

NoBuffer field

NoBuffer field

NoBuffer property

NoLocking field

NoLocking property

NoLogs field

NoMMap field

NoMMap field

NoMMap property

NoMMap property

NonDurableTxns field

NonDurableTxns property

NONE enumeration member

NONE field

NoPanic field

NoPanic property

NoReverseSplitting field

NoReverseSplitting field

NOSYNC enumeration member

NoSync field

NOTFOUND enumeration member

NotFoundException class

NotFoundException class

NotFoundException class

about NotFoundException class

all members

constructor

fields

methods

properties

NotFoundException.NotFoundException constructor

NotificationEvent enumeration

NOT_PERMANENT enumeration member

NoWait field

NoWaitDbExclusiveLock field

NoWaitDbExclusiveLock property

NO_ORDER_CHECK enumeration member

nPages property

nPages property

nPages property

nPages property

nPartitions property

NParts property

NParts property

NParts property

NParts property

nRecords property

nRegions property

NSites property

Nullifier property

NULLIFY enumeration member

NumTestAndSetSpins property

NumTestAndSetSpins property

ObjectNoWait property

Objects property

ObjectSteals property

ObjectWait property

OddFileSizeDetected property

OddFileSizeResolve property

Offset field

OLDEST field

OldVersionException class

OldVersionException class

OldVersionException class

about OldVersionException class

all members

constructor

fields

methods

properties

OldVersionException.OldVersionException constructor

ONE field

ONE_PEER field

OnForeignKeyDelete property

Open method

Open method

Open method

Open method

Open method

Open method

Open method

Open method

Open method

Open method

Open method

Open method

Open method

ORDER_CHECK_ONLY enumeration member

Outdated property

OutdatedInvisibleBuffersReused property

OverflowPages property

OverflowPages property

OverflowPages property

OverflowPagesFreeBytes property

OverflowPagesFreeBytes property

OverflowPagesFreeBytes property

OverflowWrites property

Overwrite field

Overwrite method

Overwrite property

PadByte property

PadByte property

PadByte property

PadByte property

PadByte property

PadByte property

PadByte property

PageAllocations property

PageNotFoundException class

PageNotFoundException class

PageNotFoundException class

about PageNotFoundException class

all members

constructor

fields

methods

properties

PageNotFoundException.PageNotFoundException constructor

PageNumber property

Pages property

Pages property

PagesCheckedDuringAlloc property

PagesCreatedInCache property

PagesCreatedInCache property

PagesExamined property

PagesFreed property

PagesInCache property

PagesInCache property

PageSize property

PageSize property

PageSize property

PageSize property

PageSize property

PageSize property

PageSize property

Pagesize property

PageSize property

PagesNotInCache property

PagesNotInCache property

PagesPerExtent property

PagesRead property

PagesRead property

PagesTrickled property

PagesTruncated property

PagesWritten property

PagesWritten property

PANIC enumeration member

Panic method

ParentID property

Partial property

PartialLen property

PartialOffset property

ParticipantSites property

Partition property

Partition property

Partition property

Partition property

PartitionDelegate delegate

PartitionKeys property

PartitionKeys property

PartitionKeys property

PartitionKeys property

PartitionLockNoWait property

PartitionLockWait property

Partitions property

Peer property

Peer property

PermissionsMode property

Populate field

Port field

Port field

PrefixCompare field

PrefixCompare property

PrefixCompare property

PrefmasClient field

PrefmasMaster field

Prepare method

PreparedTransaction class

PreparedTransaction class

PreparedTransaction class

about PreparedTransaction class

all members

methods

properties

PreparedTransaction.GlobalID property

PreparedTransaction.Txn property

Primary property

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintFastStats method

PrintLockingSystemStats method

PrintLoggingSystemStats method

PrintMPoolSystemStats method

PrintMutexSystemStats method

PrintReplicationSystemStats method

PrintRepMgrSystemStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintStats method

PrintSubsystemStats method

PrintTransactionSystemStats method

Priority field

Priority field

Priority property

Priority property

Priority property

Priority property

Priority property

Private field

Private property

processID field

ProcessID property

Put method

Put method

Put method

Put method

Put method

Put method

PutNoDuplicate method

PutNoDuplicate method

PutNoOverwrite method

PutNoOverwrite method

PutNoOverwrite method

PutNoOverwrite method

PutNoOverwrite method

PutNoOverwrite method

QUEUE field

QueueDatabase class

QueueDatabase class

QueueDatabase class

about QueueDatabase class

all members

methods

properties

QueueDatabase.Append method

QueueDatabase.Close method

QueueDatabase.Consume method

QueueDatabase.Cursor method

QueueDatabase.Delete method

QueueDatabase.Exists method

QueueDatabase.ExtentSize property

QueueDatabase.FastStats method

QueueDatabase.Get method

QueueDatabase.GetBoth method

QueueDatabase.GetBothMultiple method

QueueDatabase.GetMultiple method

QueueDatabase.InOrder property

QueueDatabase.Length property

QueueDatabase.Open method

QueueDatabase.PadByte property

QueueDatabase.PrintFastStats method

QueueDatabase.PrintStats method

QueueDatabase.Put method

QueueDatabase.PutNoOverwrite method

QueueDatabase.Stats method

QueueDatabase.Truncate method

QueueDatabaseConfig class

QueueDatabaseConfig class

QueueDatabaseConfig class

about QueueDatabaseConfig class

all members

constructor

fields

methods

properties

QueueDatabaseConfig.Append field

QueueDatabaseConfig.ConsumeInOrder field

QueueDatabaseConfig.Creation field

QueueDatabaseConfig.ExtentSize property

QueueDatabaseConfig.Length property

QueueDatabaseConfig.PadByte property

QueueDatabaseConfig.QueueDatabaseConfig constructor

QueuedLogRecords property

QueuedMessages property

QueueStats class

QueueStats class

QueueStats class

about QueueStats class

all members

methods

properties

QueueStats.DataPages property

QueueStats.DataPagesBytesFree property

QueueStats.FirstRecordNumber property

QueueStats.MagicNumber property

QueueStats.MetadataFlags property

QueueStats.nData property

QueueStats.NextRecordNumber property

QueueStats.nKeys property

QueueStats.PageSize property

QueueStats.PagesPerExtent property

QueueStats.RecordLength property

QueueStats.RecordPadByte property

QueueStats.Version property

QUORUM field

RANDOM field

Read method

ReadModifyWrite field

ReadOnly field

ReadOnly property

ReadOnly property

ReadOnly property

Reads property

ReadUncommitted field

ReadUncommitted property

ReceivedLogRecords property

ReceivedMessages property

ReceivedPages property

RECNO field

Recno method

Recno property

Recno property

RecnoCursor class

RecnoCursor class

RecnoCursor class

about RecnoCursor class

all members

methods

properties

RecnoCursor.Duplicate method

RecnoCursor.Insert method

RecnoCursor.Move method

RecnoCursor.MoveFirst method

RecnoCursor.MoveFirstMultiple method

RecnoCursor.MoveFirstMultipleKey method

RecnoCursor.MoveLast method

RecnoCursor.MoveMultiple method

RecnoCursor.MoveMultipleKey method

RecnoCursor.MoveNext method

RecnoCursor.MoveNextDuplicate method

RecnoCursor.MoveNextDuplicateMultiple method

RecnoCursor.MoveNextDuplicateMultipleKey method

RecnoCursor.MoveNextMultiple method

RecnoCursor.MoveNextMultipleKey method

RecnoCursor.MoveNextUnique method

RecnoCursor.MoveNextUniqueMultiple method

RecnoCursor.MoveNextUniqueMultipleKey method

RecnoCursor.MovePrev method

RecnoCursor.MovePrevDuplicate method

RecnoCursor.MovePrevUnique method

RecnoCursor.Refresh method

RecnoCursor.RefreshMultiple method

RecnoCursor.RefreshMultipleKey method

RecnoDatabase class

RecnoDatabase class

RecnoDatabase class

about RecnoDatabase class

all members

methods

properties

RecnoDatabase.Append method

RecnoDatabase.AppendCallback property

RecnoDatabase.Close method

RecnoDatabase.Compact method

RecnoDatabase.Cursor method

RecnoDatabase.Delete method

RecnoDatabase.Exists method

RecnoDatabase.FastStats method

RecnoDatabase.Get method

RecnoDatabase.GetBoth method

RecnoDatabase.GetBothMultiple method

RecnoDatabase.GetMultiple method

RecnoDatabase.Open method

RecnoDatabase.PrintFastStats method

RecnoDatabase.PrintStats method

RecnoDatabase.Put method

RecnoDatabase.PutNoOverwrite method

RecnoDatabase.RecordDelimiter property

RecnoDatabase.RecordLength property

RecnoDatabase.RecordPad property

RecnoDatabase.Renumber property

RecnoDatabase.Snapshot property

RecnoDatabase.SourceFile property

RecnoDatabase.Stats method

RecnoDatabase.Truncate method

RecnoDatabase.TruncateUnusedPages method

RecnoDatabaseConfig class

RecnoDatabaseConfig class

RecnoDatabaseConfig class

about RecnoDatabaseConfig class

all members

constructor

fields

methods

properties

RecnoDatabaseConfig.Append field

RecnoDatabaseConfig.BackingFile field

RecnoDatabaseConfig.Creation field

RecnoDatabaseConfig.Delimiter property

RecnoDatabaseConfig.Length property

RecnoDatabaseConfig.PadByte property

RecnoDatabaseConfig.RecnoDatabaseConfig constructor

RecnoDatabaseConfig.Renumber field

RecnoDatabaseConfig.Snapshot field

RecnoStats class

RecnoStats class

RecnoStats class

about RecnoStats class

all members

methods

properties

RecnoStats.DuplicatePages property

RecnoStats.DuplicatePagesFreeBytes property

RecnoStats.EmptyPages property

RecnoStats.FreePages property

RecnoStats.InternalPages property

RecnoStats.InternalPagesFreeBytes property

RecnoStats.LeafPages property

RecnoStats.LeafPagesFreeBytes property

RecnoStats.Levels property

RecnoStats.MagicNumber property

RecnoStats.MetadataFlags property

RecnoStats.MinKey property

RecnoStats.nBlobRecords property

RecnoStats.nData property

RecnoStats.nExternalFiles property

RecnoStats.nKeys property

RecnoStats.nPages property

RecnoStats.OverflowPages property

RecnoStats.OverflowPagesFreeBytes property

RecnoStats.PageSize property

RecnoStats.RecordLength property

RecnoStats.RecordPadByte property

RecnoStats.Version property

RecordDelimiter property

RecordLength property

RecordLength property

RecordLength property

RecordNumbers property

RecordNumbers property

RecordPad property

RecordPadByte property

RecordPadByte property

Records property

Recover method

RECOVERY enumeration member

Recovery field

Refresh method

Refresh method

Refresh method

Refresh method

Refresh method

RefreshMultiple method

RefreshMultiple method

RefreshMultiple method

RefreshMultiple method

RefreshMultipleKey method

RefreshMultipleKey method

RefreshMultipleKey method

RefreshMultipleKey method

RegionDir property

RegionLockNoWait property

RegionLockNoWait property

RegionLockNoWait property

RegionLockWait property

RegionLockWait property

RegionLockWait property

RegionMax property

RegionMax property

RegionMemoryLimitBytes property

RegionMemoryLimitGBytes property

RegionNoWait property

RegionNoWait property

RegionSetMemoryLimit method

RegionSize property

RegionSize property

RegionSize property

RegionSize property

RegionSize property

RegionSize property

RegionSize property

RegionSize property

RegionSize property

RegionWait property

RegionWait property

Register field

Register field

Register property

RegisteredSites property

RegisteredSitesNeeded property

Remove method

Remove method

Remove method

Remove method

RemoveDB method

RemoveUnusedLogFiles method

Rename method

RenameDB method

Renumber field

Renumber field

Renumber property

Renumber property

RepAckTimeout property

RepAutoInit property

RepBulkTransfer property

RepCheckpointDelay property

RepClockskewFast property

RepClockskewSlow property

RepConnectionRetry property

RepDelayClientSync property

RepElectionRetry property

RepElectionTimeout property

RepForwardWrites property

RepFullElectionTimeout property

RepHeartbeatMonitor property

RepHeartbeatSend property

RepHoldElection method

RepInMemory property

RepLeaseTimeout property

Replication field

ReplicationConfig class

ReplicationConfig class

ReplicationConfig class

about ReplicationConfig class

all members

constructor

fields

methods

properties

ReplicationConfig.AckTimeout property

ReplicationConfig.AutoInit field

ReplicationConfig.BulkTransfer field

ReplicationConfig.CheckpointDelay property

ReplicationConfig.Clockskew method

ReplicationConfig.ClockskewFast property

ReplicationConfig.ClockskewSlow property

ReplicationConfig.ConnectionRetry property

ReplicationConfig.DelayClientSync field

ReplicationConfig.ElectionRetry property

ReplicationConfig.Elections field

ReplicationConfig.ElectionTimeout property

ReplicationConfig.ForwardWrites field

ReplicationConfig.FullElectionTimeout property

ReplicationConfig.HeartbeatMonitor property

ReplicationConfig.HeartbeatSend property

ReplicationConfig.InMemory field

ReplicationConfig.LeaseTimeout property

ReplicationConfig.NoBlocking field

ReplicationConfig.NSites property

ReplicationConfig.PrefmasClient field

ReplicationConfig.PrefmasMaster field

ReplicationConfig.Priority property

ReplicationConfig.ReplicationConfig constructor

ReplicationConfig.ReplicationView property

ReplicationConfig.RepMgrAckPolicy field

ReplicationConfig.RepmgrIncomingQueueMax method

ReplicationConfig.RepmgrIncomingQueueMaxBytes property

ReplicationConfig.RepmgrIncomingQueueMaxGBytes property

ReplicationConfig.RepmgrSitesConfig field

ReplicationConfig.RetransmissionRequest method

ReplicationConfig.RetransmissionRequestMax property

ReplicationConfig.RetransmissionRequestMin property

ReplicationConfig.Strict2Site field

ReplicationConfig.TransmitLimit method

ReplicationConfig.TransmitLimitBytes property

ReplicationConfig.TransmitLimitGBytes property

ReplicationConfig.Transport field

ReplicationConfig.UseMasterLeases field

ReplicationConfig.WriteForwardTimeout property

ReplicationElection field

ReplicationHostAddress class

ReplicationHostAddress class

ReplicationHostAddress class

about ReplicationHostAddress class

all members

constructor

fields

methods

ReplicationHostAddress.Host field

ReplicationHostAddress.Port field

ReplicationHostAddress.ReplicationHostAddress constructor

ReplicationLease field

ReplicationMessages field

ReplicationMisc field

ReplicationStats class

ReplicationStats class

ReplicationStats class

about ReplicationStats class

all members

methods

properties

ReplicationStats.AppliedTransactions property

ReplicationStats.AwaitedLSN property

ReplicationStats.AwaitedPage property

ReplicationStats.BadGenerationMessages property

ReplicationStats.BulkBufferFills property

ReplicationStats.BulkBufferOverflows property

ReplicationStats.BulkBufferTransfers property

ReplicationStats.BulkRecordsStored property

ReplicationStats.ClientServiceRequests property

ReplicationStats.ClientServiceRequestsMissing property

ReplicationStats.ClientStartupComplete property

ReplicationStats.CurrentElectionGenerationNumber property

ReplicationStats.CurrentGenerationNumber property

ReplicationStats.CurrentQueuedLogRecords property

ReplicationStats.CurrentWinner property

ReplicationStats.CurrentWinnerMaxLSN property

ReplicationStats.DuplicateLogRecords property

ReplicationStats.DuplicatePages property

ReplicationStats.DupMasters property

ReplicationStats.ElectionDataGeneration property

ReplicationStats.ElectionGenerationNumber property

ReplicationStats.ElectionPriority property

ReplicationStats.Elections property

ReplicationStats.ElectionStatus property

ReplicationStats.ElectionsWon property

ReplicationStats.ElectionTiebreaker property

ReplicationStats.ElectionTimeSec property

ReplicationStats.ElectionTimeUSec property

ReplicationStats.EnvID property

ReplicationStats.EnvPriority property

ReplicationStats.ExternalFileDuplicated property

ReplicationStats.ExternalFileRecords property

ReplicationStats.ExternalFileRerequests property

ReplicationStats.ExternalFileUpdateRerequests property

ReplicationStats.FailedMessageSends property

ReplicationStats.ForcedRerequests property

ReplicationStats.IgnoredMessages property

ReplicationStats.LeaseCheckedMissesNumber property

ReplicationStats.LeaseCheckedNumber property

ReplicationStats.LeaseCheckedRefreshNumber property

ReplicationStats.LeaseSentNumber property

ReplicationStats.MasterChanges property

ReplicationStats.MasterEnvID property

ReplicationStats.MaxLeaseSec property

ReplicationStats.MaxLeaseUSec property

ReplicationStats.MaxPermanentLSN property

ReplicationStats.MaxQueuedLogRecords property

ReplicationStats.MessagesSent property

ReplicationStats.MissedLogRecords property

ReplicationStats.MissedPages property

ReplicationStats.NewSiteMessages property

ReplicationStats.NextLSN property

ReplicationStats.NextPage property

ReplicationStats.Outdated property

ReplicationStats.QueuedLogRecords property

ReplicationStats.ReceivedLogRecords property

ReplicationStats.ReceivedMessages property

ReplicationStats.ReceivedPages property

ReplicationStats.RegisteredSites property

ReplicationStats.RegisteredSitesNeeded property

ReplicationStats.Sites property

ReplicationStats.StartSyncMessagesDelayed property

ReplicationStats.Status property

ReplicationStats.Throttled property

ReplicationStats.View property

ReplicationStats.Votes property

ReplicationSync field

ReplicationSystemInfo field

ReplicationSystemStats method

ReplicationTest field

ReplicationTransportDelegate delegate

ReplicationView property

ReplicationView property

ReplicationViewDelegate delegate

RepMessageDispatch property

RepMgrAckPolicy field

RepMgrAckPolicy property

RepMgrChannel method

RepMgrConnectionFailure field

RepmgrIncomingQueueMax method

RepmgrIncomingQueueMaxBytes property

RepmgrIncomingQueueMaxBytes property

RepmgrIncomingQueueMaxGBytes property

RepmgrIncomingQueueMaxGBytes property

RepMgrLocalSite property

RepMgrMisc field

RepMgrRemoteSites property

RepMgrRunElections property

RepmgrSetIncomingQueueMax method

RepMgrSite class

RepMgrSite class

RepMgrSite class

about RepMgrSite class

all members

fields

methods

RepMgrSite method

RepMgrSite.Address field

RepMgrSite.EId field

RepMgrSite.isConnected field

RepMgrSite.isPeer field

RepMgrSite.isView field

RepMgrSiteConfig method

RepmgrSitesConfig field

RepMgrStartClient method

RepMgrStartMaster method

RepMgrStats class

RepMgrStats class

RepMgrStats class

about RepMgrStats class

all members

methods

properties

RepMgrStats.AutoTakeovers property

RepMgrStats.DroppedConnections property

RepMgrStats.DroppedMessages property

RepMgrStats.ElectionThreads property

RepMgrStats.FailedConnections property

RepMgrStats.FailedMessages property

RepMgrStats.IncomingDroppedMessages property

RepMgrStats.IncomingQueueBytes property

RepMgrStats.IncomingQueueGBytes property

RepMgrStats.MaxElectionThreads property

RepMgrStats.ParticipantSites property

RepMgrStats.QueuedMessages property

RepMgrStats.TotalSites property

RepMgrStats.ViewSites property

RepMgrStats.WriteOpsForwarded property

RepMgrStats.WriteOpsReceived property

RepMgrSystemStats method

RepNoBlocking property

RepNSites property

RepPrefmasClient property

RepPrefmasMaster property

RepPriority property

RepProcessMessage method

RepProcMsgResult class

RepProcMsgResult class

RepProcMsgResult class

about RepProcMsgResult class

all members

fields

methods

RepProcMsgResult.ProcMsgResult enumeration

RepProcMsgResult.Result field

RepProcMsgResult.RetLsn field

RepRetransmissionRequestMax property

RepRetransmissionRequestMin property

RepSetClockskew method

RepSetRetransmissionRequest method

RepSetTransmitLimit method

RepSetTransport method

RepStartClient method

RepStartMaster method

RepStrict2Site property

RepSync method

RepSystemCfg field

RepTransmitLimitBytes property

RepTransmitLimitGBytes property

RepTransport property

RepUseMasterLeases property

RepWriteForwardTimeout property

REP_AUTOTAKEOVER_FAILED enumeration member

REP_CLIENT enumeration member

REP_CONNECT_BROKEN enumeration member

REP_CONNECT_ESTD enumeration member

REP_CONNECT_TRY_FAILED enumeration member

REP_DUPMASTER enumeration member

REP_ELECTED enumeration member

REP_ELECTION_FAILED enumeration member

REP_INIT_DONE enumeration member

REP_INQUEUE_FULL enumeration member

REP_JOIN_FAILURE enumeration member

REP_LOCAL_SITE_REMOVED enumeration member

REP_MASTER enumeration member

REP_MASTER_FAILURE enumeration member

REP_NEWMASTER enumeration member

REP_PERM_FAILED enumeration member

REP_SITE_ADDED enumeration member

REP_SITE_REMOVED enumeration member

REP_STARTUPDONE enumeration member

ResetFileID method

ResetLSN method

Restored property

Result field

RetLsn field

RetransmissionRequest method

RetransmissionRequestMax property

RetransmissionRequestMin property

returnEnd field

ReverseSplit property

ReverseSplit property

RunFatalRecovery field

RunFatalRecovery property

RunRecovery field

RunRecovery property

RunRecoveryException class

RunRecoveryException class

RunRecoveryException class

about RunRecoveryException class

all members

constructor

fields

methods

properties

RunRecoveryException.RunRecoveryException constructor

Salvage method

SecondaryBTreeDatabase class

SecondaryBTreeDatabase class

SecondaryBTreeDatabase class

about SecondaryBTreeDatabase class

all members

methods

properties

SecondaryBTreeDatabase.Close method

SecondaryBTreeDatabase.Compare property

SecondaryBTreeDatabase.Cursor method

SecondaryBTreeDatabase.Delete method

SecondaryBTreeDatabase.DupCompare property

SecondaryBTreeDatabase.Duplicates property

SecondaryBTreeDatabase.Exists method

SecondaryBTreeDatabase.Get method

SecondaryBTreeDatabase.GetBoth method

SecondaryBTreeDatabase.MinKeysPerPage property

SecondaryBTreeDatabase.Open method

SecondaryBTreeDatabase.PrefixCompare property

SecondaryBTreeDatabase.PrintFastStats method

SecondaryBTreeDatabase.PrintStats method

SecondaryBTreeDatabase.RecordNumbers property

SecondaryBTreeDatabase.ReverseSplit property

SecondaryBTreeDatabase.SecondaryCursor method

SecondaryBTreeDatabase.Truncate method

SecondaryBTreeDatabaseConfig class

SecondaryBTreeDatabaseConfig class

SecondaryBTreeDatabaseConfig class

about SecondaryBTreeDatabaseConfig class

all members

constructor

fields

methods

properties

SecondaryBTreeDatabaseConfig.Compare field

SecondaryBTreeDatabaseConfig.Creation field

SecondaryBTreeDatabaseConfig.DuplicateCompare field

SecondaryBTreeDatabaseConfig.Duplicates field

SecondaryBTreeDatabaseConfig.MinKeysPerPage property

SecondaryBTreeDatabaseConfig.NoReverseSplitting field

SecondaryBTreeDatabaseConfig.PrefixCompare field

SecondaryBTreeDatabaseConfig.SecondaryBTreeDatabaseConfig constructor

SecondaryBTreeDatabaseConfig.SetForeignKeyConstraint method

SecondaryBTreeDatabaseConfig.UseRecordNumbers field

SecondaryCursor class

SecondaryCursor class

SecondaryCursor class

about SecondaryCursor class

all members

methods

properties

SecondaryCursor method

SecondaryCursor method

SecondaryCursor method

SecondaryCursor method

SecondaryCursor method

SecondaryCursor.Current property

SecondaryCursor.Delete method

SecondaryCursor.Duplicate method

SecondaryCursor.GetEnumerator method

SecondaryCursor.Move method

SecondaryCursor.MoveFirst method

SecondaryCursor.MoveLast method

SecondaryCursor.MoveNext method

SecondaryCursor.MoveNextDuplicate method

SecondaryCursor.MoveNextUnique method

SecondaryCursor.MovePrev method

SecondaryCursor.MovePrevDuplicate method

SecondaryCursor.MovePrevUnique method

SecondaryCursor.Refresh method

SecondaryDatabase class

SecondaryDatabase class

SecondaryDatabase class

about SecondaryDatabase class

all members

methods

properties

SecondaryDatabase.Close method

SecondaryDatabase.Cursor method

SecondaryDatabase.Delete method

SecondaryDatabase.Exists method

SecondaryDatabase.Get method

SecondaryDatabase.GetBoth method

SecondaryDatabase.KeyGen property

SecondaryDatabase.Nullifier property

SecondaryDatabase.Open method

SecondaryDatabase.PrintFastStats method

SecondaryDatabase.PrintStats method

SecondaryDatabase.SecondaryCursor method

SecondaryDatabase.Truncate method

SecondaryDatabaseConfig class

SecondaryDatabaseConfig class

SecondaryDatabaseConfig class

about SecondaryDatabaseConfig class

all members

constructor

fields

methods

properties

SecondaryDatabaseConfig.ForeignKeyDatabase property

SecondaryDatabaseConfig.ForeignKeyNullfier property

SecondaryDatabaseConfig.ImmutableKey field

SecondaryDatabaseConfig.KeyGen property

SecondaryDatabaseConfig.OnForeignKeyDelete property

SecondaryDatabaseConfig.Populate field

SecondaryDatabaseConfig.Primary property

SecondaryDatabaseConfig.SecondaryDatabaseConfig constructor

SecondaryDatabaseConfig.SetForeignKeyConstraint method

SecondaryHashDatabase class

SecondaryHashDatabase class

SecondaryHashDatabase class

about SecondaryHashDatabase class

all members

methods

properties

SecondaryHashDatabase.Close method

SecondaryHashDatabase.Compare property

SecondaryHashDatabase.Cursor method

SecondaryHashDatabase.Delete method

SecondaryHashDatabase.DupCompare property

SecondaryHashDatabase.Duplicates property

SecondaryHashDatabase.Exists method

SecondaryHashDatabase.FillFactor property

SecondaryHashDatabase.Get method

SecondaryHashDatabase.GetBoth method

SecondaryHashDatabase.HashFunction property

SecondaryHashDatabase.Open method

SecondaryHashDatabase.PrintFastStats method

SecondaryHashDatabase.PrintStats method

SecondaryHashDatabase.SecondaryCursor method

SecondaryHashDatabase.TableSize property

SecondaryHashDatabase.Truncate method

SecondaryHashDatabaseConfig class

SecondaryHashDatabaseConfig class

SecondaryHashDatabaseConfig class

about SecondaryHashDatabaseConfig class

all members

constructor

fields

methods

properties

SecondaryHashDatabaseConfig.Compare field

SecondaryHashDatabaseConfig.Creation field

SecondaryHashDatabaseConfig.DuplicateCompare field

SecondaryHashDatabaseConfig.Duplicates field

SecondaryHashDatabaseConfig.FillFactor property

SecondaryHashDatabaseConfig.HashFunction field

SecondaryHashDatabaseConfig.SecondaryHashDatabaseConfig constructor

SecondaryHashDatabaseConfig.SetForeignKeyConstraint method

SecondaryHashDatabaseConfig.TableSize property

SecondaryKeyGenDelegate delegate

SecondaryQueueDatabase class

SecondaryQueueDatabase class

SecondaryQueueDatabase class

about SecondaryQueueDatabase class

all members

methods

properties

SecondaryQueueDatabase.Close method

SecondaryQueueDatabase.Cursor method

SecondaryQueueDatabase.Delete method

SecondaryQueueDatabase.Exists method

SecondaryQueueDatabase.ExtentSize property

SecondaryQueueDatabase.Get method

SecondaryQueueDatabase.GetBoth method

SecondaryQueueDatabase.Length property

SecondaryQueueDatabase.Open method

SecondaryQueueDatabase.PadByte property

SecondaryQueueDatabase.PrintFastStats method

SecondaryQueueDatabase.PrintStats method

SecondaryQueueDatabase.SecondaryCursor method

SecondaryQueueDatabase.Truncate method

SecondaryQueueDatabaseConfig class

SecondaryQueueDatabaseConfig class

SecondaryQueueDatabaseConfig class

about SecondaryQueueDatabaseConfig class

all members

constructor

fields

methods

properties

SecondaryQueueDatabaseConfig.Creation field

SecondaryQueueDatabaseConfig.ExtentSize property

SecondaryQueueDatabaseConfig.Length property

SecondaryQueueDatabaseConfig.PadByte property

SecondaryQueueDatabaseConfig.SecondaryQueueDatabaseConfig constructor

SecondaryQueueDatabaseConfig.SetForeignKeyConstraint method

SecondaryRecnoDatabase class

SecondaryRecnoDatabase class

SecondaryRecnoDatabase class

about SecondaryRecnoDatabase class

all members

methods

properties

SecondaryRecnoDatabase.BackingFile property

SecondaryRecnoDatabase.Close method

SecondaryRecnoDatabase.Cursor method

SecondaryRecnoDatabase.Delete method

SecondaryRecnoDatabase.Delimiter property

SecondaryRecnoDatabase.Exists method

SecondaryRecnoDatabase.Get method

SecondaryRecnoDatabase.GetBoth method

SecondaryRecnoDatabase.Length property

SecondaryRecnoDatabase.Open method

SecondaryRecnoDatabase.PadByte property

SecondaryRecnoDatabase.PrintFastStats method

SecondaryRecnoDatabase.PrintStats method

SecondaryRecnoDatabase.Renumber property

SecondaryRecnoDatabase.SecondaryCursor method

SecondaryRecnoDatabase.Snapshot property

SecondaryRecnoDatabase.Truncate method

SecondaryRecnoDatabaseConfig class

SecondaryRecnoDatabaseConfig class

SecondaryRecnoDatabaseConfig class

about SecondaryRecnoDatabaseConfig class

all members

constructor

fields

methods

properties

SecondaryRecnoDatabaseConfig.BackingFile field

SecondaryRecnoDatabaseConfig.Creation field

SecondaryRecnoDatabaseConfig.Delimiter property

SecondaryRecnoDatabaseConfig.Length property

SecondaryRecnoDatabaseConfig.PadByte property

SecondaryRecnoDatabaseConfig.Renumber field

SecondaryRecnoDatabaseConfig.SecondaryRecnoDatabaseConfig constructor

SecondaryRecnoDatabaseConfig.SetForeignKeyConstraint method

SecondaryRecnoDatabaseConfig.Snapshot field

SendMessage method

SendRequest method

Sequence class

Sequence class

Sequence class

about Sequence class

all members

constructor

methods

properties

Sequence.BackingDatabase property

Sequence.Cachesize property

Sequence.Close method

Sequence.Decrement property

Sequence.Dispose method

Sequence.Get method

Sequence.Increment property

Sequence.Key property

Sequence.Max property

Sequence.Min property

Sequence.PrintStats method

Sequence.Remove method

Sequence.Sequence constructor

Sequence.Stats method

Sequence.Wrap property

SequenceConfig class

SequenceConfig class

SequenceConfig class

about SequenceConfig class

all members

constructor

fields

methods

properties

SequenceConfig.BackingDatabase field

SequenceConfig.CacheSize property

SequenceConfig.Creation field

SequenceConfig.Decrement property

SequenceConfig.FreeThreaded field

SequenceConfig.Increment property

SequenceConfig.InitialValue property

SequenceConfig.key field

SequenceConfig.Max property

SequenceConfig.Min property

SequenceConfig.SequenceConfig constructor

SequenceConfig.SetRange method

SequenceConfig.Wrap field

SequenceStats class

SequenceStats class

SequenceStats class

about SequenceStats class

all members

methods

properties

SequenceStats.CachedValue property

SequenceStats.CacheSize property

SequenceStats.Flags property

SequenceStats.LastCachedValue property

SequenceStats.LockNoWait property

SequenceStats.LockWait property

SequenceStats.Max property

SequenceStats.Min property

SequenceStats.StoredValue property

SequentialWritePause property

SequentialWritePause property

SetCompression method

SetEncryption method

SetEncryption method

SetForeignKeyConstraint method

SetForeignKeyConstraint method

SetForeignKeyConstraint method

SetForeignKeyConstraint method

SetForeignKeyConstraint method

SetLockTimeout method

SetMaxSequentialWrites method

SetMaxSequentialWrites method

SetPartitionByCallback method

SetPartitionByCallback method

SetPartitionByKeys method

SetPartitionByKeys method

SetRange method

SetThreadID field

SetThreadID property

SetThreadIDDelegate delegate

SetThreadName property

SetThreadNameDelegate delegate

SetTxnTimeout method

SingleDir field

Sites property

Size method

Snapshot field

Snapshot field

Snapshot field

Snapshot property

Snapshot property

Snapshot property

SnapshotIsolation field

SnapshotReads property

SORTED enumeration member

SourceFile property

start field

StartLsn property

StartSyncMessagesDelayed property

StartTime property

Stats method

Stats method

Stats method

Stats method

Stats method

Stats method

Status property

stop field

StoredValue property

Strict2Site field

SUCCESS enumeration member

SYNC enumeration member

Sync method

SyncAction field

SyncInterrupted property

SyncMemPool method

SyncPerWrite field

Syncs property

SystemMemory field

SystemMemory property

TableSize property

TableSize property

TableSize property

TableSize property

TableSize property

TableSize property

TASSpins property

TempDir field

TempDir property

ThawedBuffers property

ThreadCount property

ThreadCount property

threadID field

ThreadID property

ThreadIsAlive field

ThreadIsAlive property

ThreadIsAliveDelegate delegate

ThreadName field

Throttled property

ThrowException method

TimeNotGranted field

TimeNotGranted property

TIMEOUT enumeration member

Timeout property

Timeout property

toArray method

ToString method

TotalSites property

Transaction class

Transaction class

Transaction class

about Transaction class

all members

fields

methods

properties

Transaction.Abort method

Transaction.Commit method

Transaction.CommitToken property

Transaction.Discard method

Transaction.GlobalIdLength field

Transaction.Id property

Transaction.Name property

Transaction.Prepare method

Transaction.Priority property

Transaction.SetLockTimeout method

Transaction.SetTxnTimeout method

Transactional property

TransactionAppliedStatus enumeration

TransactionConfig class

TransactionConfig class

TransactionConfig class

about TransactionConfig class

all members

constructor

fields

methods

properties

TransactionConfig.Bulk field

TransactionConfig.InitTransactionCount property

TransactionConfig.IsolationDegree field

TransactionConfig.LockTimeout property

TransactionConfig.LogFlush enumeration

TransactionConfig.Name property

TransactionConfig.NoWait field

TransactionConfig.Snapshot field

TransactionConfig.SyncAction field

TransactionConfig.TransactionConfig constructor

TransactionConfig.TxnTimeout property

Transactions property

TransactionStats class

TransactionStats class

TransactionStats class

about TransactionStats class

all members

methods

properties

TransactionStats.Aborted property

TransactionStats.Active property

TransactionStats.Begun property

TransactionStats.Committed property

TransactionStats.InitTxns property

TransactionStats.LastCheckpoint property

TransactionStats.LastCheckpointTime property

TransactionStats.LastID property

TransactionStats.MaxActive property

TransactionStats.MaxSnapshot property

TransactionStats.MaxTransactions property

TransactionStats.RegionLockNoWait property

TransactionStats.RegionLockWait property

TransactionStats.RegionSize property

TransactionStats.Restored property

TransactionStats.Snapshot property

TransactionStats.Transactions property

TransactionSystemStats method

TransmitLimit method

TransmitLimitBytes property

TransmitLimitGBytes property

Transport field

TrickleCleanMemPool method

Truncate field

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncate method

Truncated property

TruncatePages field

TruncateUnusedPages method

TruncateUnusedPages method

TruncateUnusedPages method

Txn property

TxnNoSync field

TxnNoSync property

TxnNoWait field

TxnNoWait property

TxnSnapshot field

TxnSnapshot property

TxnTimeout property

TxnTimeout property

TxnTimeout property

TxnTimeoutLength property

TxnTimeouts property

TxnTimestamp property

TxnTimestamp property

TxnWriteNoSync field

TxnWriteNoSync property

Type property

UNKNOWN field

UNSORTED enumeration member

Update field

UPGRADE enumeration member

Upgrade method

UseCDB field

UseEnvironmentVars field

UseEnvironmentVars property

UseLocking field

UseLogging field

UseMasterLeases field

UseMPool field

UseMVCC field

UseMVCC field

UseMVCC property

UseMVCC property

UseRecordNumbers field

UseRecordNumbers field

UseReplication field

UseTxns field

UsingCDB property

UsingLocking property

UsingLogging property

UsingMPool property

UsingReplication property

UsingTxns property

Verbose property

VerboseMessages class

VerboseMessages class

VerboseMessages class

about VerboseMessages class

all members

constructor

fields

methods

VerboseMessages.AllFileOps field

VerboseMessages.Backup field

VerboseMessages.Deadlock field

VerboseMessages.FileOps field

VerboseMessages.Recovery field

VerboseMessages.Register field

VerboseMessages.Replication field

VerboseMessages.ReplicationElection field

VerboseMessages.ReplicationLease field

VerboseMessages.ReplicationMessages field

VerboseMessages.ReplicationMisc field

VerboseMessages.ReplicationSync field

VerboseMessages.ReplicationSystemInfo field

VerboseMessages.ReplicationTest field

VerboseMessages.RepMgrConnectionFailure field

VerboseMessages.RepMgrMisc field

VerboseMessages.VerboseMessages constructor

VerboseMessages.WaitsForTable field

Verbosity field

Verbosity property

VerificationException class

VerificationException class

VerificationException class

about VerificationException class

all members

constructor

fields

methods

properties

VerificationException.VerificationException constructor

VERIFY enumeration member

Verify method

Version property

Version property

Version property

Version property

Version property

Version property

VersionMismatchException class

VersionMismatchException class

VersionMismatchException class

about VersionMismatchException class

all members

constructor

fields

methods

properties

VersionMismatchException.VersionMismatchException constructor

VERY_HIGH field

VERY_LOW field

View property

ViewSites property

Votes property

WaitsForTable field

Wrap field

Wrap property

Write method

Write method

WriteCursor field

WriteForwardTimeout property

WriteOpsForwarded property

WriteOpsReceived property

Writes property

WriteToLog method

WRITE_FAILED enumeration member

WRITE_NOSYNC enumeration member

YieldCPU field

YieldCPU property

YOUNGEST field

ZeroOnCreate field